#ifndef QUICK_PINYIN_H
#define QUICK_PINYIN_H

#include <string>

#define PINYIN_MIN_VALUE 19968
#define PINYIN_MAX_VALUE 40869
#define PINYIN_12295 "ling"
#define PINYIN_CODE_12295 12295


uint16_t getPinyinCodeIndex(uint16_t c) ;
uint16_t toUnicode(const std::string &hanzi);
std::string toFullChars(const std::string &text);

static const std::string PINYIN_TABLE[] = {
      "", "a", "ai", "an", "ang", "ao", "ba", "bai", "ban", "bang", "bao", "bo", "bei", "ben", "beng", "bi", "bian", "biao", "bie", "bin", "bing", "bu", "ca", "cai", "can", "cang", "cao", "ce", "ceng", "cha", "chai", "chan", "chang", "chao", "che", "chen", "cheng", "chi", "chong", "chou", "chu", "chuan", "chuang", "chui", "chun", "chuo", "ci", "cong", "cu", "cuan", "cui", "cun", "cuo", "da", "dai", "dan", "dang", "dao", "de", "deng", "di", "dian", "diao", "die", "ding", "dong", "dou", "du", "duan", "dui", "dun", "duo", "e", "en", "er", "fa", "fan", "fang", "fei", "fen", "feng", "fu", "ga", "gai", "gan", "gang", "gong", "gao", "ge", "gei", "gen", "geng", "gou", "gu", "gua", "guai", "guan", "guang", "gui", "gun", "guo", "ha", "hai", "han", "hen", "hang", "hao", "he", "hei", "heng", "hong", "hou", "hu", "hua", "huai", "huan", "huang", "hui", "hun", "huo", "ji", "jia", "jian", "jiang", "jiao", "jie", "jin", "jing", "jiong", "jiu", "ju", "juan", "jue", "jun", "ka", "ke", "kai", "kan", "kang", "kao", "ken", "keng", "kong", "kou", "ku", "kua", "kuai", "kuan", "kuang", "kui", "kun", "kuo", "la", "lai", "lan", "lang", "lao", "le", "lei", "ling", "leng", "li", "lian", "liang", "liao", "lie", "lin", "liu", "long", "lou", "lu", "lv", "luan", "lue", "lun", "luo", "ma", "mai", "man", "mang", "meng", "miao", "mao", "me", "mei", "men", "mi", "mian", "mie", "min", "ming", "miu", "mo", "mou", "mu", "na", "nai", "nan", "nao", "ne", "nei", "nen", "ni", "nian", "niang", "niao", "nie", "nin", "ning", "niu", "nong", "nu", "nv", "nuan", "nuenue", "nue", "nuo", "ou", "pa", "pai", "pan", "pang", "pao", "pei", "pen", "peng", "pi", "pian", "piao", "pie", "pin", "ping", "po", "pou", "pu", "qi", "qia", "qian", "qiang", "qiao", "qie", "qin", "qing", "qiong", "qiu", "qu", "quan", "que", "qun", "ran", "rang", "rao", "ruo", "re", "ren", "reng", "ri", "rong", "rou", "ru", "ruan", "rui", "run", "sa", "sai", "san", "sang", "sao", "se", "sen", "seng", "sha", "shai", "shan", "shang", "shao", "she", "shen", "sheng", "shi", "shou", "shu", "shua", "shuai", "shuan", "shuang", "shui", "shun", "shuo", "si", "song", "sou", "su", "suan", "sui", "sun", "suo", "ta", "tai", "tan", "tang", "thang", "theng", "tao", "te", "teng", "ti", "tian", "tiao", "tie", "ting", "tong", "tou", "tu", "tuan", "tui", "tun", "tuo", "wa", "wai", "wan", "wang", "wei", "wen", "weng", "wo", "wu", "xi", "xia", "xian", "xiang", "xiao", "xie", "xin", "xing", "xiong", "xiu", "xu", "xuan", "xue", "xun", "ya", "yan", "yang", "yao", "ye", "yi", "yin", "ying", "yo", "yong", "you", "yu", "yuan", "yue", "yun", "za", "zai", "zan", "zang", "zao", "ze", "zei", "zen", "zeng", "zha", "zhai", "zhan", "zhang", "zhao", "zhe", "zhen", "zheng", "zhi", "zhong", "zhou", "zhu", "zhua", "zhuai", "zhuan", "zhuang", "zhui", "zhun", "zhuo", "zi", "zong", "zou", "zu", "zuan", "zui", "zun", "zuo", "cou", "nang", "o", "dia", "chuai", "cen", "diu", "nou", "fou", "bia"
    };
static const uint16_t PINYIN_CODE[] = { 346, 64, 0, 235, 0, 0, 0, 320, 368, 265, 274, 328, 120, 21, 352, 0, 83, 39, 0, 379, 240, 226, 279, 0, 244, 20, 345, 47, 65, 289, 278, 0, 0, 0, 64, 0, 163, 342, 0, 266, 99, 0, 88, 341, 380, 374, 0, 0, 80, 0, 41, 0, 166, 0, 61, 0, 320, 55, 322, 376, 0, 161, 130, 229, 0, 0, 0, 196, 0, 129, 0, 317, 183, 346, 0, 373, 326, 365, 112, 75, 157, 0, 231, 221, 239, 0, 95, 0, 36, 346, 0, 0, 206, 129, 235, 345, 327, 330, 0, 0, 0, 0, 281, 0, 0, 120, 0, 0, 0, 0, 0, 0, 177, 172, 0, 259, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 237, 0, 0, 0, 0, 0, 0, 0, 164, 0, 352, 372, 0, 279, 74, 40, 352, 149, 0, 355, 112, 235, 326, 127, 0, 0, 90, 0, 341, 332, 0, 0, 0, 235, 312, 321, 138, 0, 124, 102, 346, 31, 109, 194, 0, 330, 127, 310, 163, 0, 0, 0, 241, 11, 0, 332, 0, 0, 0, 0, 254, 55, 0, 0, 0, 346, 279, 254, 157, 64, 361, 126, 234, 39, 0, 368, 126, 125, 0, 255, 47, 0, 0, 174, 0, 25, 384, 279, 297, 368, 81, 329, 0, 0, 0, 311, 254, 237, 0, 88, 0, 54, 159, 346, 0, 0, 263, 0, 346, 194, 185, 0, 0, 0, 343, 0, 374, 15, 0, 326, 122, 121, 0, 0, 0, 254, 0, 79, 0, 77, 0, 235, 0, 0, 0, 0, 0, 0, 0, 138, 346, 0, 0, 326, 120, 81, 75, 336, 0, 0, 0, 0, 0, 374, 351, 119, 117, 352, 0, 0, 265, 322, 41, 0, 341, 0, 274, 32, 174, 25, 0, 0, 322, 376, 0, 0, 0, 11, 93, 0, 202, 0, 8, 0, 159, 0, 277, 0, 289, 0, 289, 121, 0, 0, 0, 0, 0, 61, 0, 0, 55, 0, 0, 0, 0, 0, 0, 322, 60, 376, 391, 351, 0, 306, 0, 107, 0, 317, 276, 352, 63, 81, 391, 92, 208, 311, 202, 0, 0, 350, 318, 237, 0, 134, 0, 223, 0, 0, 156, 0, 0, 343, 7, 0, 0, 121, 120, 0, 120, 0, 0, 0, 0, 308, 124, 0, 346, 279, 0, 0, 0, 137, 373, 0, 0, 0, 37, 145, 0, 161, 0, 279, 0, 376, 0, 351, 0, 0, 182, 0, 0, 65, 0, 0, 0, 86, 0, 346, 0, 0, 328, 0, 0, 171, 0, 124, 371, 27, 239, 146, 30, 0, 210, 0, 326, 111, 0, 0, 0, 0, 0, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 44, 72, 244, 0, 0, 0, 0, 133, 0, 0, 0, 387, 239, 161, 350, 0, 0, 0, 0, 0, 292, 81, 0, 161, 0, 231, 10, 352, 289, 0, 333, 0, 352, 0, 0, 39, 0, 342, 162, 161, 0, 0, 122, 336, 81, 0, 130, 0, 219, 0, 0, 0, 0, 80, 0, 3, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 12, 0, 281, 0, 0, 57, 0, 132, 0, 0, 0, 301, 111, 346, 0, 375, 0, 0, 125, 0, 32, 0, 0, 0, 142, 131, 0, 130, 242, 202, 0, 383, 322, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 366, 0, 373, 0, 242, 0, 0, 0, 0, 342, 0, 0, 0, 121, 125, 0, 0, 0, 253, 0, 322, 227, 0, 0, 0, 0, 0, 332, 0, 0, 0, 0, 391, 0, 310, 0, 0, 0, 0, 0, 0, 0, 0, 122, 0, 0, 0, 0, 0, 0, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 217, 312, 0, 0, 0, 167, 0, 0, 79, 32, 149, 0, 0, 0, 0, 81, 0, 0, 161, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54, 0, 300, 0, 19, 40, 216, 0, 0, 50, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 37, 271, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 330, 0, 0, 0, 0, 0, 0, 327, 0, 0, 0, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 129, 270, 0, 0, 0, 0, 124, 122, 311, 0, 0, 0, 0, 292, 0, 123, 0, 0, 0, 0, 0, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 127, 338, 0, 0, 0, 55, 0, 0, 0, 0, 0, 0, 259, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 74, 326, 355, 0, 353, 335, 38, 369, 0, 329, 97, 0, 135, 0, 187, 0, 0, 0, 69, 0, 0, 313, 289, 342, 0, 0, 0, 56, 0, 66, 0, 0, 0, 0, 0, 127, 0, 0, 259, 0, 0, 246, 0, 0, 6, 86, 167, 327, 0, 154, 86, 0, 96, 334, 20, 235, 130, 61, 384, 0, 343, 122, 280, 0, 0, 120, 31, 128, 0, 0, 195, 0, 0, 85, 249, 0, 0, 27, 357, 0, 0, 0, 0, 182, 0, 0, 187, 186, 257, 0, 332, 0, 133, 210, 0, 0, 0, 96, 0, 374, 0, 353, 190, 0, 0, 0, 0, 0, 294, 65, 0, 0, 80, 20, 112, 38, 132, 0, 148, 345, 159, 0, 0, 0, 65, 329, 165, 0, 0, 127, 0, 0, 0, 235, 0, 382, 290, 0, 163, 0, 62, 159, 0, 0, 122, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 166, 0, 208, 0, 0, 120, 76, 0, 0, 80, 0, 0, 0, 0, 0, 0, 81, 0, 231, 0, 136, 116, 0, 0, 59, 0, 137, 335, 0, 313, 5, 40, 120, 56, 103, 0, 360, 57, 62, 27, 254, 0, 0, 79, 240, 346, 0, 137, 0, 0, 40, 323, 0, 0, 334, 113, 0, 0, 0, 354, 165, 167, 361, 85, 42, 0, 40, 0, 0, 273, 0, 0, 0, 220, 0, 0, 0, 222, 161, 0, 18, 0, 127, 94, 0, 57, 0, 0, 144, 0, 0, 373, 282, 246, 271, 46, 135, 0, 98, 0, 98, 136, 71, 120, 306, 0, 0, 0, 0, 0, 0, 331, 0, 152, 237, 0, 0, 94, 122, 0, 0, 306, 0, 233, 0, 0, 0, 0, 0, 320, 0, 120, 0, 0, 273, 0, 0, 0, 11, 0, 130, 0, 278, 122, 0, 0, 0, 0, 81, 0, 0, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 228, 0, 124, 0, 239, 132, 0, 0, 0, 0, 0, 226, 0, 0, 0, 0, 0, 0, 0, 113, 0, 0, 346, 0, 0, 0, 0, 0, 0, 0, 161, 0, 246, 8, 86, 121, 326, 177, 165, 0, 0, 0, 0, 65, 376, 211, 125, 245, 275, 0, 0, 0, 161, 127, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 107, 279, 0, 0, 0, 11, 0, 0, 0, 350, 0, 187, 0, 340, 0, 0, 0, 0, 180, 0, 157, 0, 0, 0, 182, 0, 137, 0, 0, 0, 0, 0, 0, 194, 0, 0, 0, 0, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 332, 0, 0, 0, 0, 0, 0, 0, 0, 10, 275, 0, 0, 0, 92, 326, 355, 0, 0, 0, 0, 10, 47, 0, 335, 0, 0, 0, 0, 234, 0, 222, 81, 0, 0, 0, 0, 15, 113, 12, 0, 37, 77, 0, 0, 356, 0, 0, 123, 148, 0, 328, 0, 0, 98, 0, 0, 0, 78, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 226, 245, 346, 0, 0, 16, 202, 0, 279, 0, 237, 0, 263, 0, 278, 326, 117, 8, 0, 0, 0, 113, 332, 0, 12, 387, 383, 0, 55, 177, 197, 0, 0, 11, 0, 21, 0, 16, 21, 367, 134, 170, 351, 170, 0, 94, 325, 0, 55, 0, 322, 0, 0, 373, 182, 347, 322, 0, 120, 247, 172, 0, 131, 332, 0, 126, 0, 0, 0, 0, 242, 0, 0, 32, 0, 72, 310, 161, 0, 0, 161, 0, 341, 342, 276, 0, 0, 0, 0, 0, 0, 0, 27, 0, 0, 161, 0, 111, 0, 0, 52, 0, 353, 0, 0, 330, 342, 0, 132, 328, 0, 40, 129, 0, 0, 0, 0, 289, 0, 0, 0, 0, 0, 0, 0, 193, 0, 0, 0, 0, 245, 0, 0, 0, 329, 0, 265, 24, 0, 0, 0, 0, 0, 351, 29, 120, 351, 285, 76, 0, 0, 0, 75, 0, 0, 281, 0, 245, 280, 16, 337, 0, 220, 0, 0, 0, 291, 63, 0, 0, 143, 93, 130, 159, 0, 57, 143, 373, 124, 369, 6, 64, 135, 298, 37, 279, 351, 0, 232, 345, 106, 289, 299, 0, 157, 62, 120, 0, 0, 0, 352, 0, 37, 88, 0, 344, 0, 107, 120, 62, 0, 311, 190, 111, 161, 313, 330, 365, 328, 0, 171, 341, 176, 0, 0, 0, 133, 0, 166, 316, 347, 78, 15, 0, 241, 0, 0, 81, 6, 70, 79, 0, 103, 310, 141, 287, 235, 0, 373, 277, 0, 326, 33, 0, 0, 327, 43, 0, 323, 111, 0, 326, 0, 341, 0, 0, 72, 0, 0, 54, 0, 36, 0, 87, 81, 0, 0, 0, 0, 195, 0, 194, 346, 54, 217, 161, 12, 353, 100, 0, 238, 326, 0, 0, 0, 0, 0, 199, 0, 159, 0, 351, 0, 375, 0, 0, 0, 0, 0, 0, 0, 0, 94, 46, 322, 0, 107, 211, 82, 223, 0, 0, 277, 112, 190, 0, 0, 130, 0, 356, 0, 71, 0, 222, 0, 0, 0, 0, 365, 107, 0, 129, 350, 81, 0, 375, 0, 134, 93, 134, 0, 0, 168, 65, 208, 0, 289, 0, 0, 0, 0, 0, 86, 365, 0, 346, 158, 384, 188, 177, 373, 344, 120, 0, 135, 0, 357, 0, 135, 102, 0, 0, 0, 329, 0, 0, 331, 0, 342, 0, 346, 2, 230, 277, 0, 110, 0, 71, 318, 101, 357, 0, 0, 93, 330, 2, 90, 148, 341, 53, 331, 15, 117, 0, 113, 0, 95, 71, 0, 120, 393, 193, 349, 0, 0, 0, 0, 0, 88, 217, 37, 275, 161, 195, 0, 0, 144, 331, 0, 0, 0, 370, 365, 0, 0, 0, 0, 0, 0, 21, 0, 109, 91, 0, 88, 0, 342, 0, 0, 0, 0, 296, 44, 0, 2, 0, 0, 0, 0, 0, 327, 300, 279, 0, 0, 73, 0, 0, 0, 0, 0, 0, 176, 0, 0, 0, 0, 156, 0, 296, 360, 115, 0, 0, 120, 0, 0, 14, 0, 112, 0, 280, 322, 282, 32, 0, 161, 0, 0, 0, 349, 0, 0, 0, 0, 240, 0, 317, 112, 0, 57, 0, 140, 375, 0, 274, 0, 0, 154, 1, 0, 0, 0, 0, 0, 387, 0, 0, 0, 0, 303, 55, 0, 0, 0, 0, 0, 383, 0, 0, 0, 0, 78, 0, 0, 226, 271, 152, 361, 0, 0, 218, 0, 268, 379, 206, 0, 0, 0, 0, 0, 0, 11, 64, 155, 331, 0, 0, 37, 306, 0, 129, 0, 134, 352, 322, 197, 273, 0, 0, 152, 125, 111, 103, 63, 0, 0, 0, 216, 0, 347, 0, 0, 394, 0, 0, 0, 41, 117, 0, 0, 327, 107, 0, 149, 0, 0, 0, 0, 0, 0, 0, 338, 0, 0, 0, 0, 0, 0, 0, 0, 0, 161, 0, 365, 0, 181, 0, 224, 0, 149, 0, 352, 0, 169, 144, 0, 0, 0, 0, 0, 328, 336, 0, 0, 0, 292, 0, 0, 2, 288, 0, 0, 0, 107, 53, 266, 35, 0, 291, 0, 0, 0, 0, 0, 279, 88, 0, 125, 0, 324, 0, 289, 37, 106, 296, 0, 102, 0, 241, 206, 107, 0, 0, 73, 0, 0, 395, 2, 0, 311, 0, 5, 0, 0, 0, 0, 0, 291, 291, 0, 60, 235, 0, 0, 0, 0, 0, 0, 26, 121, 0, 0, 228, 0, 82, 93, 0, 0, 0, 0, 0, 0, 0, 0, 337, 0, 0, 176, 0, 0, 157, 67, 0, 0, 0, 14, 348, 0, 0, 186, 0, 0, 0, 0, 396, 225, 0, 0, 0, 376, 33, 0, 389, 0, 289, 0, 0, 164, 0, 327, 0, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 124, 345, 0, 0, 0, 0, 0, 59, 0, 0, 234, 132, 241, 0, 0, 170, 0, 0, 0, 0, 0, 5, 0, 126, 0, 0, 0, 235, 72, 360, 346, 279, 0, 0, 0, 0, 339, 0, 0, 0, 0, 82, 0, 0, 0, 0, 264, 226, 0, 0, 0, 0, 0, 0, 0, 0, 259, 106, 0, 0, 0, 0, 0, 0, 0, 106, 306, 0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 331, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 0, 0, 0, 0, 250, 0, 0, 0, 0, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 393, 0, 0, 100, 0, 0, 244, 289, 0, 122, 117, 333, 347, 197, 314, 0, 70, 0, 0, 0, 0, 0, 0, 112, 0, 353, 0, 0, 150, 47, 0, 0, 322, 174, 0, 0, 0, 159, 93, 0, 0, 100, 313, 351, 0, 0, 0, 234, 352, 0, 353, 0, 246, 352, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 115, 0, 0, 313, 0, 0, 0, 278, 0, 0, 0, 0, 357, 337, 346, 0, 326, 98, 226, 346, 60, 0, 0, 39, 0, 0, 0, 0, 0, 148, 32, 235, 0, 0, 120, 0, 373, 0, 8, 0, 0, 0, 0, 133, 0, 0, 77, 0, 13, 299, 137, 114, 391, 138, 0, 0, 0, 0, 0, 146, 0, 0, 122, 299, 161, 6, 326, 79, 381, 232, 0, 0, 150, 0, 299, 0, 317, 84, 231, 61, 0, 202, 0, 225, 0, 0, 0, 5, 0, 0, 184, 135, 0, 0, 0, 60, 34, 0, 0, 0, 0, 0, 43, 152, 168, 168, 170, 0, 0, 0, 0, 334, 65, 0, 0, 0, 0, 0, 158, 83, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 0, 0, 140, 75, 92, 353, 63, 0, 140, 274, 0, 72, 0, 61, 0, 72, 145, 0, 0, 0, 136, 0, 198, 0, 0, 0, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 91, 2, 0, 0, 0, 0, 0, 0, 0, 177, 0, 0, 36, 273, 0, 0, 165, 0, 234, 36, 0, 0, 279, 340, 100, 0, 0, 61, 0, 352, 21, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 54, 0, 3, 0, 0, 0, 0, 373, 0, 0, 0, 346, 223, 120, 0, 0, 267, 0, 0, 144, 0, 300, 0, 0, 0, 69, 126, 0, 0, 0, 225, 0, 313, 0, 0, 0, 237, 0, 0, 0, 71, 0, 0, 0, 347, 0, 0, 0, 0, 63, 0, 111, 10, 0, 0, 60, 0, 0, 0, 0, 0, 137, 0, 0, 0, 0, 0, 342, 0, 0, 0, 0, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 159, 0, 0, 0, 0, 0, 0, 0, 297, 36, 0, 0, 0, 292, 0, 0, 297, 0, 0, 0, 300, 0, 0, 0, 0, 0, 264, 0, 0, 0, 0, 0, 0, 88, 0, 0, 0, 0, 0, 307, 353, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 281, 0, 37, 178, 0, 127, 0, 281, 0, 0, 0, 350, 0, 0, 0, 0, 0, 0, 0, 0, 274, 194, 0, 0, 0, 0, 0, 238, 163, 0, 0, 0, 364, 337, 0, 0, 0, 0, 0, 0, 0, 0, 192, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 0, 0, 0, 0, 15, 0, 0, 0, 350, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 107, 0, 0, 0, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 250, 0, 0, 0, 0, 0, 0, 279, 254, 0, 380, 0, 278, 0, 0, 135, 0, 0, 112, 0, 0, 346, 0, 0, 0, 0, 0, 0, 0, 0, 65, 0, 40, 0, 0, 12, 0, 0, 0, 0, 0, 81, 0, 328, 0, 0, 0, 0, 149, 327, 319, 0, 0, 292, 71, 0, 345, 0, 0, 92, 0, 0, 0, 0, 347, 119, 0, 53, 0, 307, 298, 81, 0, 344, 343, 104, 0, 279, 0, 0, 312, 0, 0, 346, 145, 121, 71, 0, 148, 0, 0, 0, 0, 162, 115, 0, 342, 0, 0, 235, 196, 80, 0, 79, 0, 0, 149, 386, 0, 235, 0, 0, 13, 346, 123, 303, 359, 0, 327, 0, 0, 0, 0, 0, 61, 0, 276, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 212, 211, 0, 196, 0, 122, 297, 0, 0, 0, 106, 0, 0, 0, 288, 259, 78, 321, 0, 380, 81, 176, 0, 254, 0, 0, 342, 0, 0, 0, 0, 67, 120, 0, 0, 344, 126, 0, 181, 0, 0, 0, 0, 209, 0, 0, 0, 0, 15, 352, 317, 0, 0, 77, 326, 352, 98, 0, 0, 202, 39, 0, 0, 53, 0, 0, 0, 0, 0, 0, 184, 0, 235, 0, 0, 240, 0, 0, 0, 0, 0, 0, 0, 194, 0, 0, 0, 384, 279, 0, 0, 0, 0, 125, 93, 289, 334, 322, 0, 0, 273, 230, 0, 344, 0, 123, 281, 0, 0, 0, 0, 0, 124, 0, 156, 0, 0, 346, 0, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 0, 347, 0, 0, 0, 384, 0, 322, 0, 318, 169, 341, 251, 124, 162, 231, 0, 0, 161, 0, 0, 0, 0, 296, 0, 322, 0, 0, 0, 0, 204, 0, 0, 0, 195, 0, 0, 131, 277, 0, 0, 60, 0, 72, 0, 0, 0, 187, 0, 0, 0, 0, 0, 0, 0, 352, 318, 0, 329, 0, 245, 0, 0, 0, 0, 0, 32, 0, 0, 0, 72, 0, 0, 0, 0, 0, 232, 0, 0, 320, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 125, 0, 0, 0, 0, 118, 0, 0, 0, 0, 0, 0, 0, 15, 0, 0, 0, 0, 127, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 348, 31, 277, 310, 0, 0, 193, 0, 0, 0, 0, 337, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 0, 0, 0, 0, 0, 0, 0, 184, 353, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 226, 327, 0, 278, 0, 0, 37, 0, 0, 0, 0, 0, 92, 0, 0, 121, 267, 0, 0, 0, 0, 0, 0, 120, 0, 0, 329, 0, 0, 0, 0, 0, 2, 0, 230, 0, 228, 0, 158, 0, 0, 0, 368, 0, 0, 0, 161, 60, 0, 342, 0, 0, 32, 0, 0, 201, 0, 192, 0, 0, 0, 0, 0, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 327, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 205, 0, 348, 0, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 285, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 384, 125, 0, 132, 142, 355, 0, 384, 51, 295, 81, 12, 384, 331, 0, 180, 0, 0, 10, 120, 93, 211, 339, 0, 0, 102, 172, 0, 198, 0, 0, 0, 281, 31, 0, 384, 0, 81, 0, 0, 0, 0, 259, 0, 0, 206, 0, 0, 10, 208, 0, 297, 98, 366, 0, 352, 280, 3, 0, 290, 320, 0, 0, 110, 0, 0, 0, 186, 0, 56, 0, 385, 96, 375, 64, 320, 346, 10, 279, 0, 38, 277, 135, 338, 279, 351, 115, 0, 0, 0, 329, 86, 0, 0, 0, 0, 357, 0, 0, 102, 342, 331, 121, 0, 35, 257, 0, 0, 0, 147, 19, 292, 0, 0, 120, 0, 120, 347, 186, 143, 0, 0, 0, 0, 81, 0, 0, 0, 184, 0, 103, 352, 0, 0, 0, 0, 0, 0, 0, 0, 0, 241, 192, 29, 0, 94, 0, 0, 326, 164, 0, 0, 366, 0, 0, 0, 0, 0, 164, 0, 115, 0, 0, 0, 0, 0, 0, 0, 51, 69, 289, 340, 57, 0, 0, 280, 0, 80, 0, 0, 276, 0, 123, 0, 0, 322, 390, 0, 0, 0, 0, 331, 0, 275, 0, 0, 74, 82, 122, 0, 35, 0, 274, 0, 82, 32, 0, 0, 0, 0, 321, 0, 351, 164, 0, 344, 0, 0, 0, 0, 82, 0, 0, 0, 0, 129, 0, 0, 84, 0, 0, 0, 279, 347, 37, 139, 202, 126, 322, 205, 130, 226, 28, 0, 0, 120, 0, 0, 245, 306, 125, 326, 0, 0, 279, 231, 120, 332, 0, 0, 0, 367, 0, 0, 0, 72, 0, 0, 0, 0, 281, 0, 313, 171, 0, 327, 0, 171, 130, 0, 0, 0, 0, 0, 0, 0, 34, 316, 0, 273, 0, 0, 0, 0, 0, 0, 0, 346, 235, 0, 0, 0, 0, 352, 0, 294, 235, 0, 0, 0, 0, 0, 341, 0, 0, 0, 120, 237, 0, 0, 235, 397, 0, 0, 29, 0, 245, 85, 329, 5, 154, 57, 6, 0, 0, 0, 0, 0, 135, 92, 0, 0, 0, 0, 0, 342, 0, 336, 121, 159, 0, 0, 0, 54, 0, 354, 0, 112, 0, 189, 3, 0, 0, 0, 0, 65, 0, 149, 0, 182, 0, 0, 346, 0, 0, 0, 0, 0, 0, 340, 0, 0, 0, 0, 0, 0, 65, 0, 0, 0, 0, 0, 0, 373, 0, 0, 0, 0, 0, 0, 0, 328, 0, 0, 124, 372, 172, 0, 72, 0, 352, 0, 0, 239, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 156, 153, 0, 0, 142, 38, 0, 0, 0, 0, 0, 0, 235, 0, 0, 0, 0, 0, 50, 0, 341, 0, 0, 0, 0, 132, 0, 0, 100, 0, 0, 0, 0, 0, 331, 0, 342, 290, 0, 14, 0, 0, 0, 367, 93, 0, 0, 0, 0, 0, 322, 0, 0, 0, 0, 0, 0, 0, 0, 357, 344, 0, 0, 0, 0, 0, 0, 0, 0, 120, 0, 0, 36, 184, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 257, 0, 0, 352, 0, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 290, 0, 384, 322, 0, 0, 46, 0, 0, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 368, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 166, 0, 0, 0, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 346, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 61, 0, 0, 0, 0, 0, 0, 0, 322, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 0, 41, 375, 0, 0, 340, 33, 0, 0, 86, 391, 239, 130, 86, 0, 326, 0, 0, 29, 244, 0, 120, 346, 289, 6, 0, 0, 330, 0, 0, 0, 0, 0, 340, 126, 0, 0, 15, 279, 21, 0, 283, 76, 0, 279, 0, 0, 0, 327, 0, 0, 322, 368, 211, 0, 0, 223, 218, 309, 0, 162, 373, 375, 11, 373, 60, 0, 0, 0, 0, 0, 0, 0, 0, 54, 372, 0, 0, 0, 0, 0, 327, 9, 0, 0, 39, 0, 0, 0, 0, 0, 322, 32, 0, 0, 27, 100, 182, 0, 0, 0, 0, 186, 0, 325, 81, 0, 0, 0, 0, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 178, 194, 0, 0, 0, 0, 0, 368, 0, 0, 81, 0, 0, 76, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 84, 231, 203, 0, 20, 0, 334, 0, 344, 115, 351, 351, 0, 97, 226, 0, 0, 0, 380, 0, 242, 15, 0, 0, 42, 98, 0, 0, 0, 337, 170, 326, 0, 144, 348, 60, 222, 61, 0, 181, 91, 0, 81, 0, 221, 78, 330, 0, 0, 0, 0, 336, 67, 391, 0, 0, 0, 0, 0, 310, 0, 0, 0, 0, 0, 15, 0, 3, 281, 138, 350, 317, 0, 0, 0, 0, 352, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 162, 155, 0, 0, 0, 0, 0, 0, 126, 5, 151, 0, 0, 164, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 332, 0, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 383, 0, 342, 310, 0, 0, 122, 0, 0, 0, 86, 203, 136, 16, 346, 235, 168, 0, 0, 0, 346, 0, 15, 346, 0, 0, 0, 279, 0, 279, 0, 86, 0, 347, 0, 81, 110, 0, 0, 37, 0, 0, 0, 60, 368, 0, 0, 0, 0, 186, 329, 112, 0, 211, 127, 0, 0, 186, 0, 320, 0, 252, 0, 0, 0, 0, 0, 0, 0, 55, 238, 0, 15, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 0, 98, 56, 0, 170, 68, 117, 373, 0, 0, 0, 0, 346, 0, 0, 0, 265, 334, 0, 311, 0, 342, 0, 0, 23, 17, 0, 19, 225, 0, 0, 368, 348, 0, 37, 0, 0, 0, 77, 0, 346, 0, 34, 15, 0, 0, 0, 321, 372, 387, 0, 127, 54, 0, 340, 104, 343, 114, 171, 111, 0, 0, 0, 337, 0, 313, 0, 0, 153, 0, 58, 219, 327, 0, 0, 32, 0, 0, 0, 0, 352, 0, 0, 0, 0, 0, 0, 116, 0, 340, 0, 0, 344, 322, 0, 0, 0, 0, 0, 0, 36, 0, 58, 0, 0, 0, 0, 124, 117, 0, 0, 0, 0, 0, 333, 281, 15, 346, 0, 0, 57, 0, 0, 120, 254, 0, 31, 141, 57, 315, 0, 0, 0, 51, 373, 321, 179, 0, 0, 0, 307, 0, 0, 374, 38, 0, 0, 326, 0, 0, 351, 0, 0, 290, 146, 0, 16, 373, 0, 0, 35, 0, 0, 0, 203, 0, 0, 209, 0, 0, 333, 0, 112, 136, 79, 114, 298, 290, 326, 217, 32, 42, 0, 0, 0, 33, 0, 0, 365, 363, 343, 0, 0, 211, 0, 372, 218, 21, 0, 0, 112, 0, 53, 162, 289, 0, 0, 54, 346, 0, 0, 0, 120, 225, 334, 353, 202, 95, 12, 0, 0, 0, 240, 0, 0, 0, 0, 0, 337, 0, 0, 0, 0, 0, 385, 69, 0, 0, 346, 0, 201, 287, 279, 0, 0, 0, 0, 0, 0, 0, 162, 0, 116, 0, 0, 142, 0, 109, 0, 0, 281, 0, 0, 0, 343, 117, 0, 0, 121, 0, 0, 0, 0, 117, 384, 337, 0, 0, 212, 104, 73, 135, 65, 307, 86, 0, 327, 236, 0, 0, 140, 0, 0, 72, 0, 311, 342, 136, 27, 198, 355, 0, 350, 0, 0, 0, 150, 239, 0, 0, 0, 0, 327, 0, 0, 306, 103, 0, 0, 0, 0, 346, 0, 117, 0, 12, 0, 0, 0, 290, 246, 0, 149, 0, 326, 351, 0, 0, 115, 0, 0, 354, 0, 207, 0, 0, 247, 338, 237, 0, 189, 0, 78, 12, 0, 50, 0, 0, 0, 120, 0, 0, 334, 57, 0, 0, 0, 0, 0, 0, 0, 0, 242, 39, 0, 0, 0, 127, 320, 0, 0, 0, 0, 0, 119, 0, 0, 0, 306, 0, 0, 321, 0, 112, 0, 327, 32, 0, 322, 117, 0, 0, 0, 0, 0, 61, 130, 24, 36, 0, 12, 240, 24, 55, 96, 71, 0, 0, 330, 41, 0, 116, 0, 0, 252, 334, 0, 0, 0, 0, 0, 239, 39, 0, 0, 0, 0, 237, 0, 352, 352, 0, 0, 0, 79, 15, 346, 0, 0, 0, 0, 0, 72, 0, 0, 0, 0, 352, 0, 0, 0, 0, 84, 323, 0, 0, 160, 79, 0, 149, 149, 0, 0, 0, 292, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 353, 0, 0, 0, 0, 0, 0, 0, 0, 46, 0, 237, 0, 116, 0, 277, 0, 0, 276, 0, 0, 0, 194, 0, 0, 0, 0, 0, 0, 0, 202, 0, 0, 0, 0, 178, 0, 0, 0, 0, 117, 136, 0, 0, 0, 0, 0, 0, 0, 322, 0, 0, 0, 0, 350, 0, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18, 0, 0, 364, 0, 0, 0, 0, 0, 239, 0, 0, 0, 0, 0, 0, 0, 0, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 38, 103, 235, 0, 0, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 65, 0, 0, 0, 0, 0, 332, 0, 5, 182, 0, 0, 0, 0, 0, 185, 154, 0, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 346, 0, 0, 0, 0, 0, 0, 85, 0, 88, 0, 326, 122, 337, 281, 257, 327, 36, 325, 125, 0, 0, 359, 119, 238, 367, 0, 235, 121, 0, 0, 0, 120, 0, 137, 120, 0, 83, 59, 0, 0, 0, 0, 125, 0, 122, 0, 170, 0, 0, 0, 0, 45, 54, 0, 0, 112, 0, 0, 0, 0, 0, 112, 161, 77, 296, 16, 0, 128, 0, 0, 0, 273, 112, 78, 0, 280, 280, 23, 365, 0, 0, 234, 6, 53, 255, 0, 0, 0, 317, 0, 0, 138, 0, 0, 0, 0, 0, 0, 0, 143, 0, 0, 237, 373, 0, 151, 185, 267, 343, 209, 8, 34, 251, 0, 0, 8, 0, 0, 81, 0, 0, 226, 0, 0, 72, 0, 369, 36, 120, 0, 0, 0, 33, 0, 0, 0, 0, 132, 6, 0, 0, 0, 0, 0, 0, 346, 281, 377, 0, 312, 66, 138, 370, 0, 81, 222, 0, 0, 0, 379, 143, 167, 238, 0, 112, 10, 0, 0, 225, 0, 0, 226, 298, 0, 0, 0, 0, 10, 0, 0, 0, 60, 0, 0, 0, 192, 0, 35, 341, 39, 0, 189, 0, 0, 81, 0, 376, 55, 30, 194, 203, 152, 21, 0, 8, 219, 159, 0, 95, 0, 130, 317, 6, 0, 317, 5, 130, 383, 230, 369, 7, 0, 0, 202, 0, 0, 168, 122, 0, 350, 154, 208, 11, 361, 0, 0, 151, 279, 121, 372, 0, 86, 0, 246, 284, 0, 356, 139, 0, 0, 0, 0, 230, 378, 279, 195, 0, 37, 94, 0, 0, 0, 0, 373, 240, 3, 0, 0, 0, 0, 145, 0, 0, 303, 0, 0, 0, 0, 318, 0, 0, 0, 373, 162, 0, 325, 297, 332, 198, 56, 124, 372, 120, 117, 0, 0, 2, 0, 216, 52, 0, 0, 0, 371, 0, 0, 263, 0, 0, 0, 0, 0, 0, 346, 310, 0, 0, 320, 0, 0, 0, 0, 326, 133, 0, 311, 150, 0, 0, 383, 0, 171, 6, 103, 275, 206, 131, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 156, 295, 0, 122, 115, 57, 0, 0, 0, 225, 0, 161, 0, 0, 0, 6, 130, 0, 0, 2, 0, 0, 0, 0, 43, 125, 0, 0, 195, 203, 0, 0, 0, 0, 328, 0, 61, 0, 0, 0, 0, 71, 280, 62, 223, 0, 368, 0, 120, 303, 236, 0, 219, 0, 0, 0, 345, 0, 132, 0, 0, 0, 0, 0, 0, 0, 173, 0, 299, 34, 0, 125, 0, 142, 315, 342, 52, 0, 130, 307, 237, 0, 7, 0, 0, 170, 100, 0, 0, 373, 55, 0, 31, 0, 96, 0, 41, 0, 0, 0, 0, 0, 352, 0, 149, 0, 0, 258, 0, 0, 0, 386, 338, 181, 306, 0, 29, 0, 0, 0, 346, 0, 0, 0, 0, 0, 0, 0, 3, 0, 341, 325, 0, 41, 0, 0, 0, 0, 0, 136, 129, 0, 0, 125, 0, 0, 0, 0, 63, 0, 353, 0, 345, 0, 365, 0, 0, 0, 0, 154, 0, 241, 31, 88, 169, 0, 0, 124, 0, 0, 0, 0, 0, 37, 367, 0, 0, 11, 40, 0, 0, 52, 267, 0, 0, 0, 0, 0, 0, 122, 291, 0, 87, 0, 288, 266, 0, 0, 0, 0, 216, 0, 0, 0, 300, 0, 8, 53, 0, 0, 0, 0, 0, 0, 237, 0, 0, 0, 0, 0, 332, 0, 0, 29, 0, 88, 0, 73, 0, 0, 276, 170, 7, 344, 19, 0, 299, 0, 0, 0, 0, 0, 0, 0, 20, 0, 283, 0, 0, 0, 366, 0, 0, 0, 0, 0, 175, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 192, 0, 0, 0, 373, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 192, 152, 0, 0, 0, 0, 0, 0, 0, 164, 0, 348, 132, 0, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 36, 263, 0, 0, 289, 103, 0, 0, 390, 0, 0, 0, 0, 380, 0, 0, 0, 0, 0, 34, 0, 0, 0, 0, 164, 0, 0, 239, 11, 52, 0, 379, 0, 0, 0, 0, 203, 0, 332, 170, 0, 49, 0, 103, 0, 0, 0, 84, 0, 158, 0, 0, 273, 0, 0, 0, 0, 0, 0, 0, 26, 242, 0, 115, 0, 241, 0, 0, 0, 0, 226, 11, 0, 0, 0, 0, 0, 291, 0, 0, 0, 383, 0, 334, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 220, 0, 0, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 0, 0, 0, 0, 0, 358, 0, 0, 0, 0, 0, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 388, 0, 0, 0, 0, 0, 132, 0, 0, 393, 373, 0, 0, 0, 0, 373, 76, 280, 0, 351, 83, 0, 86, 0, 0, 77, 372, 0, 0, 0, 0, 0, 93, 0, 0, 331, 186, 0, 0, 60, 0, 0, 189, 0, 129, 0, 0, 0, 37, 5, 0, 0, 124, 0, 162, 0, 15, 32, 0, 0, 0, 84, 265, 0, 0, 70, 0, 0, 0, 0, 124, 127, 0, 0, 0, 281, 0, 239, 0, 372, 0, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 323, 0, 0, 0, 366, 19, 0, 0, 0, 78, 8, 0, 154, 0, 0, 0, 66, 0, 164, 0, 112, 332, 0, 0, 371, 0, 325, 0, 0, 126, 37, 0, 81, 0, 367, 0, 383, 0, 68, 0, 289, 333, 0, 0, 0, 0, 0, 0, 0, 0, 77, 0, 0, 352, 279, 0, 0, 0, 221, 0, 367, 182, 171, 223, 0, 0, 0, 0, 338, 127, 0, 202, 387, 0, 0, 167, 0, 0, 0, 346, 235, 0, 0, 0, 0, 0, 0, 0, 0, 326, 0, 120, 0, 0, 256, 55, 129, 373, 360, 0, 0, 340, 337, 82, 152, 84, 103, 0, 0, 0, 0, 279, 148, 0, 0, 321, 0, 0, 0, 0, 0, 355, 0, 4, 361, 0, 0, 150, 0, 0, 0, 106, 0, 32, 0, 190, 118, 0, 0, 0, 346, 327, 49, 0, 0, 0, 299, 0, 0, 0, 358, 0, 334, 348, 0, 0, 0, 0, 44, 0, 184, 391, 0, 0, 0, 0, 369, 0, 279, 0, 352, 0, 0, 182, 202, 32, 0, 0, 0, 0, 0, 375, 0, 329, 0, 0, 33, 0, 116, 0, 0, 0, 0, 0, 0, 0, 126, 274, 0, 0, 342, 0, 0, 272, 331, 345, 355, 117, 103, 0, 0, 320, 0, 0, 0, 0, 36, 0, 21, 0, 0, 326, 0, 117, 0, 35, 0, 0, 0, 0, 0, 234, 127, 327, 0, 0, 0, 242, 0, 127, 98, 0, 0, 373, 0, 0, 0, 163, 0, 0, 0, 358, 0, 338, 0, 0, 328, 0, 0, 0, 0, 149, 0, 0, 0, 0, 281, 0, 0, 0, 0, 213, 3, 0, 0, 0, 0, 0, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 120, 0, 0, 0, 0, 0, 194, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 329, 0, 0, 0, 0, 316, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 281, 0, 340, 344, 234, 0, 0, 0, 0, 0, 0, 0, 0, 327, 0, 0, 393, 0, 0, 0, 0, 0, 0, 354, 0, 245, 345, 91, 0, 0, 72, 0, 26, 0, 0, 178, 0, 364, 306, 389, 0, 0, 0, 0, 0, 0, 0, 354, 351, 260, 225, 0, 81, 0, 0, 44, 0, 0, 0, 288, 371, 0, 155, 0, 0, 0, 321, 0, 33, 0, 235, 0, 0, 0, 0, 0, 0, 179, 0, 194, 0, 322, 192, 13, 365, 0, 281, 0, 376, 0, 0, 234, 71, 0, 0, 0, 0, 120, 0, 0, 336, 0, 0, 271, 0, 356, 246, 0, 0, 84, 0, 29, 273, 0, 0, 325, 0, 161, 334, 23, 51, 0, 383, 0, 0, 368, 0, 0, 0, 0, 0, 67, 0, 235, 281, 86, 308, 0, 0, 0, 153, 0, 0, 343, 176, 181, 0, 0, 105, 0, 12, 125, 0, 87, 344, 0, 40, 0, 6, 0, 0, 0, 0, 376, 0, 290, 8, 0, 120, 0, 0, 92, 0, 0, 226, 0, 321, 0, 20, 0, 0, 0, 0, 327, 0, 0, 0, 0, 371, 0, 166, 201, 0, 184, 0, 100, 373, 47, 0, 0, 0, 281, 360, 0, 161, 0, 122, 36, 0, 238, 80, 0, 331, 0, 144, 231, 0, 0, 373, 0, 331, 121, 121, 130, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 159, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 193, 84, 235, 249, 258, 0, 0, 0, 370, 122, 351, 0, 98, 317, 391, 0, 207, 0, 60, 0, 0, 29, 0, 0, 0, 129, 0, 0, 122, 0, 0, 135, 196, 376, 0, 167, 30, 0, 0, 0, 0, 0, 0, 0, 0, 36, 0, 279, 373, 0, 0, 0, 0, 365, 0, 17, 367, 373, 168, 65, 170, 0, 161, 154, 0, 281, 0, 284, 0, 0, 235, 161, 0, 0, 0, 0, 0, 94, 0, 0, 0, 331, 0, 0, 0, 0, 0, 0, 0, 337, 376, 0, 0, 0, 0, 0, 0, 0, 139, 156, 0, 0, 0, 343, 107, 90, 0, 0, 88, 357, 172, 0, 125, 105, 98, 303, 97, 322, 148, 0, 3, 3, 131, 0, 383, 0, 373, 0, 311, 266, 0, 115, 125, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 341, 251, 371, 56, 235, 239, 113, 98, 123, 380, 0, 296, 0, 0, 0, 0, 0, 0, 0, 0, 81, 0, 311, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 163, 0, 310, 0, 184, 9, 0, 0, 0, 0, 0, 0, 0, 0, 93, 0, 0, 0, 384, 0, 0, 0, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 275, 0, 0, 0, 180, 326, 161, 0, 0, 0, 0, 296, 0, 306, 332, 0, 0, 281, 0, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 122, 0, 159, 0, 0, 0, 0, 0, 0, 187, 0, 235, 0, 99, 0, 0, 0, 0, 9, 0, 0, 385, 0, 0, 120, 0, 225, 0, 0, 0, 0, 0, 300, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 269, 0, 43, 159, 0, 0, 0, 135, 0, 0, 0, 369, 96, 0, 79, 0, 0, 0, 0, 100, 0, 0, 0, 346, 0, 0, 0, 0, 0, 163, 0, 373, 381, 0, 130, 0, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 67, 237, 0, 0, 0, 175, 0, 0, 0, 0, 0, 0, 0, 0, 317, 0, 0, 345, 0, 0, 0, 68, 0, 0, 0, 0, 277, 0, 0, 0, 41, 0, 44, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 332, 0, 0, 122, 0, 0, 40, 0, 0, 162, 160, 0, 197, 0, 0, 184, 0, 0, 338, 0, 0, 0, 0, 120, 0, 0, 40, 0, 0, 392, 0, 0, 0, 0, 0, 136, 244, 348, 0, 0, 169, 0, 0, 0, 230, 0, 83, 0, 154, 0, 352, 35, 171, 130, 0, 0, 0, 332, 0, 0, 0, 0, 0, 0, 155, 257, 0, 0, 130, 0, 0, 371, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 78, 365, 0, 0, 295, 0, 332, 0, 0, 0, 50, 0, 0, 167, 0, 0, 247, 0, 0, 0, 297, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 288, 0, 43, 0, 29, 0, 114, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 122, 0, 0, 0, 20, 376, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 235, 0, 0, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26, 0, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 36, 0, 0, 0, 0, 0, 0, 368, 0, 192, 0, 0, 0, 0, 0, 0, 327, 0, 109, 0, 0, 0, 0, 238, 0, 348, 0, 0, 0, 239, 0, 0, 0, 0, 0, 0, 0, 390, 354, 0, 0, 0, 0, 0, 84, 0, 0, 239, 0, 0, 0, 0, 0, 0, 0, 0, 67, 0, 0, 0, 0, 0, 0, 0, 130, 36, 0, 132, 0, 0, 0, 0, 0, 330, 0, 0, 0, 376, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 170, 0, 0, 353, 0, 0, 0, 299, 0, 0, 0, 327, 0, 0, 0, 0, 0, 0, 0, 0, 0, 241, 0, 55, 158, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 242, 0, 0, 0, 0, 0, 0, 0, 0, 166, 0, 29, 180, 0, 303, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 237, 46, 115, 333, 352, 0, 0, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 352, 0, 0, 0, 0, 327, 0, 235, 235, 0, 0, 0, 147, 0, 0, 0, 0, 271, 0, 0, 333, 332, 0, 237, 0, 0, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 332, 0, 0, 0, 0, 0, 0, 0, 0, 373, 372, 46, 21, 326, 235, 0, 0, 319, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54, 0, 289, 122, 0, 0, 0, 0, 323, 48, 343, 307, 0, 54, 274, 0, 340, 281, 24, 0, 228, 0, 0, 0, 0, 355, 162, 0, 0, 373, 0, 0, 0, 55, 120, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 0, 0, 0, 0, 346, 0, 0, 0, 0, 0, 0, 0, 0, 281, 217, 68, 0, 347, 0, 0, 0, 0, 0, 0, 0, 61, 0, 117, 93, 0, 0, 346, 0, 0, 0, 0, 0, 326, 0, 194, 0, 184, 0, 0, 67, 352, 15, 15, 15, 226, 0, 15, 0, 182, 0, 0, 0, 0, 0, 367, 0, 0, 0, 0, 0, 0, 0, 0, 194, 106, 0, 0, 0, 299, 0, 0, 0, 239, 0, 265, 0, 0, 0, 281, 0, 0, 0, 122, 0, 0, 0, 0, 0, 0, 0, 32, 234, 170, 0, 0, 0, 0, 0, 245, 0, 279, 60, 189, 0, 180, 235, 229, 196, 0, 57, 329, 41, 79, 0, 0, 0, 81, 0, 65, 242, 0, 347, 0, 102, 343, 3, 341, 135, 0, 0, 0, 55, 171, 242, 0, 355, 0, 286, 265, 0, 0, 350, 0, 0, 0, 0, 244, 0, 0, 310, 373, 244, 0, 0, 0, 49, 117, 0, 103, 29, 0, 0, 0, 0, 0, 327, 0, 0, 0, 235, 273, 0, 103, 0, 0, 0, 340, 289, 259, 86, 123, 37, 326, 0, 0, 300, 0, 0, 0, 186, 93, 321, 0, 0, 0, 0, 0, 298, 0, 120, 0, 16, 0, 323, 0, 0, 335, 0, 0, 0, 235, 79, 0, 0, 241, 346, 325, 0, 353, 105, 0, 277, 35, 0, 0, 44, 0, 0, 235, 194, 0, 0, 297, 187, 0, 0, 0, 0, 271, 0, 223, 0, 0, 0, 92, 0, 184, 0, 80, 217, 161, 174, 25, 0, 322, 112, 192, 0, 281, 130, 0, 0, 317, 37, 107, 0, 0, 0, 0, 78, 351, 0, 373, 369, 93, 367, 342, 0, 0, 0, 0, 332, 244, 0, 0, 0, 246, 11, 0, 186, 0, 0, 0, 157, 0, 0, 110, 84, 75, 167, 289, 0, 0, 0, 76, 0, 0, 208, 0, 159, 222, 11, 235, 0, 202, 0, 0, 376, 0, 158, 338, 0, 0, 220, 189, 298, 343, 0, 350, 0, 14, 339, 168, 170, 0, 175, 332, 232, 361, 127, 0, 0, 125, 0, 0, 117, 0, 0, 342, 0, 0, 0, 343, 165, 0, 120, 0, 0, 0, 263, 0, 0, 0, 0, 327, 0, 376, 123, 175, 0, 0, 65, 0, 0, 0, 0, 0, 0, 126, 0, 322, 0, 0, 110, 337, 0, 0, 57, 0, 0, 74, 375, 259, 0, 338, 0, 0, 0, 115, 0, 119, 318, 236, 219, 0, 0, 167, 0, 121, 0, 237, 123, 124, 36, 0, 383, 27, 0, 113, 120, 167, 0, 118, 112, 210, 340, 0, 0, 0, 0, 370, 133, 0, 19, 0, 383, 0, 327, 0, 0, 115, 0, 0, 234, 0, 0, 106, 155, 0, 0, 0, 81, 326, 0, 0, 0, 0, 352, 0, 0, 102, 126, 0, 0, 0, 184, 0, 0, 0, 0, 0, 313, 0, 0, 206, 0, 0, 331, 276, 0, 0, 350, 0, 329, 0, 0, 281, 0, 131, 397, 306, 0, 0, 0, 0, 0, 303, 0, 156, 153, 162, 322, 325, 0, 115, 60, 0, 262, 122, 368, 268, 81, 96, 0, 0, 282, 341, 0, 0, 345, 0, 0, 103, 0, 0, 107, 0, 0, 0, 0, 0, 0, 383, 61, 0, 0, 0, 384, 327, 331, 235, 0, 0, 0, 166, 301, 0, 0, 0, 0, 281, 0, 0, 0, 0, 199, 0, 303, 47, 0, 0, 0, 78, 290, 0, 223, 55, 0, 0, 352, 0, 84, 0, 0, 0, 0, 347, 50, 0, 114, 0, 0, 277, 0, 44, 0, 0, 0, 118, 0, 342, 0, 307, 181, 0, 0, 0, 0, 0, 0, 0, 0, 242, 0, 0, 0, 0, 353, 0, 170, 384, 67, 0, 122, 278, 0, 0, 352, 0, 277, 277, 0, 0, 376, 0, 0, 352, 0, 0, 245, 67, 0, 365, 11, 325, 0, 0, 0, 323, 0, 63, 0, 322, 0, 85, 0, 0, 338, 0, 135, 0, 0, 0, 351, 0, 181, 0, 0, 0, 0, 0, 0, 0, 0, 219, 184, 0, 0, 0, 0, 0, 0, 0, 0, 314, 187, 0, 0, 0, 0, 224, 122, 0, 112, 0, 330, 0, 0, 367, 0, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 244, 0, 0, 342, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 320, 279, 0, 0, 0, 149, 0, 122, 337, 0, 0, 83, 0, 0, 0, 0, 0, 300, 353, 0, 0, 0, 0, 0, 0, 0, 135, 0, 0, 0, 167, 0, 0, 190, 0, 0, 346, 0, 0, 232, 0, 161, 0, 0, 327, 0, 0, 0, 0, 292, 0, 241, 291, 0, 39, 0, 257, 118, 0, 0, 202, 297, 0, 259, 0, 0, 0, 40, 221, 0, 0, 0, 0, 61, 0, 0, 0, 384, 0, 0, 0, 81, 0, 113, 0, 384, 303, 305, 0, 15, 0, 0, 99, 0, 0, 0, 373, 342, 202, 178, 348, 0, 171, 154, 172, 0, 19, 299, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 60, 0, 0, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 228, 0, 0, 0, 235, 0, 0, 170, 0, 0, 0, 0, 0, 169, 0, 0, 0, 161, 342, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 0, 0, 0, 154, 0, 0, 0, 0, 338, 346, 178, 0, 179, 0, 158, 0, 281, 0, 368, 0, 0, 115, 0, 0, 0, 0, 0, 0, 0, 343, 0, 0, 0, 0, 0, 0, 0, 348, 331, 0, 0, 0, 162, 0, 322, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 220, 0, 0, 0, 237, 0, 170, 0, 0, 0, 116, 0, 0, 0, 164, 0, 0, 0, 0, 0, 0, 299, 33, 0, 0, 0, 275, 0, 376, 0, 0, 0, 273, 0, 31, 0, 311, 0, 0, 0, 0, 0, 0, 0, 36, 0, 0, 0, 34, 84, 0, 0, 289, 281, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 0, 360, 0, 0, 0, 0, 0, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 31, 0, 0, 55, 0, 0, 0, 0, 0, 0, 120, 0, 162, 0, 0, 0, 0, 0, 0, 294, 0, 0, 0, 0, 0, 0, 0, 153, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 0, 106, 259, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 234, 288, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 234, 0, 0, 0, 0, 0, 0, 0, 0, 103, 348, 0, 0, 0, 0, 0, 0, 0, 332, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 79, 0, 0, 0, 344, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 0, 0, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 119, 17, 188, 0, 59, 117, 0, 0, 0, 0, 159, 360, 0, 129, 0, 0, 0, 383, 0, 357, 24, 343, 0, 0, 0, 0, 98, 0, 0, 0, 170, 43, 0, 0, 0, 342, 0, 0, 0, 33, 0, 247, 138, 70, 0, 0, 373, 0, 0, 322, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 338, 130, 299, 222, 128, 0, 298, 0, 20, 0, 0, 0, 376, 365, 61, 0, 279, 162, 37, 0, 0, 112, 288, 154, 310, 0, 0, 0, 0, 165, 0, 343, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 110, 156, 0, 376, 0, 0, 0, 342, 0, 0, 0, 0, 139, 0, 76, 275, 345, 117, 0, 302, 126, 253, 0, 327, 0, 0, 0, 0, 0, 0, 0, 320, 0, 225, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 342, 103, 0, 0, 0, 0, 0, 326, 0, 0, 103, 0, 115, 185, 0, 57, 12, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 124, 0, 0, 0, 0, 0, 0, 0, 0, 383, 342, 342, 0, 0, 0, 0, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 68, 0, 0, 0, 0, 338, 0, 116, 0, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 352, 0, 271, 0, 0, 0, 0, 0, 184, 0, 337, 369, 322, 0, 0, 0, 0, 0, 376, 0, 0, 0, 10, 112, 0, 0, 0, 0, 16, 0, 315, 0, 0, 273, 0, 0, 0, 0, 0, 0, 327, 0, 0, 0, 0, 0, 335, 0, 0, 0, 0, 340, 0, 0, 0, 0, 257, 0, 0, 0, 167, 327, 0, 0, 0, 0, 0, 281, 346, 0, 0, 0, 0, 0, 0, 0, 322, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 178, 0, 274, 0, 0, 0, 327, 0, 0, 0, 0, 0, 0, 0, 0, 0, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 164, 0, 0, 0, 0, 0, 76, 342, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 352, 0, 0, 0, 0, 360, 0, 294, 0, 0, 0, 0, 0, 0, 332, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 0, 369, 0, 218, 0, 0, 0, 353, 2, 0, 0, 0, 132, 81, 345, 6, 63, 0, 344, 0, 285, 0, 220, 0, 0, 0, 0, 0, 0, 0, 227, 8, 0, 0, 0, 219, 67, 0, 0, 0, 0, 63, 0, 0, 0, 351, 0, 0, 341, 0, 209, 0, 230, 0, 193, 0, 194, 156, 0, 0, 0, 182, 194, 0, 326, 0, 0, 0, 0, 122, 93, 0, 0, 278, 0, 0, 237, 0, 0, 0, 304, 327, 0, 0, 0, 326, 93, 327, 161, 0, 0, 120, 0, 0, 0, 0, 0, 67, 130, 0, 122, 0, 227, 0, 0, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 246, 76, 0, 76, 244, 0, 0, 0, 3, 0, 380, 97, 176, 351, 0, 0, 0, 0, 0, 0, 0, 355, 148, 209, 60, 0, 0, 0, 12, 0, 0, 0, 0, 222, 328, 0, 112, 0, 78, 0, 0, 0, 0, 92, 0, 130, 0, 0, 0, 0, 208, 0, 104, 124, 0, 0, 0, 0, 0, 0, 257, 280, 0, 0, 67, 328, 279, 146, 372, 352, 295, 352, 15, 0, 0, 131, 161, 0, 347, 133, 155, 0, 0, 0, 0, 161, 0, 329, 0, 0, 0, 0, 0, 0, 202, 0, 0, 0, 165, 0, 0, 0, 0, 100, 0, 186, 32, 346, 0, 0, 0, 180, 23, 48, 276, 0, 0, 175, 112, 0, 0, 322, 0, 0, 0, 334, 376, 181, 322, 0, 329, 0, 0, 198, 0, 0, 111, 0, 0, 351, 184, 29, 0, 0, 0, 0, 113, 353, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 127, 0, 0, 368, 0, 125, 0, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 0, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 125, 297, 0, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 246, 0, 0, 0, 0, 0, 338, 0, 0, 171, 0, 352, 0, 321, 0, 0, 64, 0, 0, 120, 0, 0, 0, 0, 129, 0, 0, 0, 0, 176, 0, 0, 0, 185, 0, 0, 19, 0, 0, 0, 0, 0, 0, 320, 0, 184, 0, 0, 322, 115, 329, 0, 159, 54, 0, 0, 0, 61, 0, 0, 327, 11, 0, 0, 0, 0, 232, 0, 135, 0, 0, 0, 0, 0, 121, 189, 273, 0, 0, 371, 0, 132, 75, 168, 0, 0, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 161, 0, 376, 0, 0, 0, 0, 74, 0, 344, 0, 105, 0, 0, 0, 8, 0, 0, 0, 0, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 244, 0, 155, 161, 0, 0, 167, 341, 0, 0, 0, 0, 162, 296, 0, 0, 0, 0, 0, 0, 0, 0, 0, 130, 35, 0, 0, 0, 0, 0, 0, 383, 0, 0, 112, 235, 0, 150, 0, 235, 0, 320, 0, 47, 0, 342, 0, 0, 166, 241, 226, 218, 0, 0, 0, 0, 0, 243, 0, 0, 0, 0, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 328, 0, 353, 0, 198, 112, 348, 352, 0, 261, 268, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 300, 0, 0, 98, 0, 0, 0, 0, 0, 344, 2, 0, 0, 0, 0, 0, 0, 126, 0, 50, 47, 0, 161, 0, 0, 0, 338, 0, 0, 0, 368, 0, 0, 348, 0, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 116, 0, 234, 0, 0, 0, 0, 0, 0, 0, 0, 15, 24, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 323, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 358, 0, 0, 0, 0, 0, 0, 0, 0, 0, 94, 0, 63, 0, 93, 0, 228, 8, 250, 0, 318, 0, 0, 0, 0, 0, 0, 0, 324, 217, 0, 0, 0, 0, 159, 0, 231, 46, 0, 0, 0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 371, 0, 0, 0, 0, 0, 0, 0, 0, 180, 0, 14, 0, 364, 0, 226, 0, 0, 0, 0, 84, 54, 277, 0, 307, 0, 0, 278, 0, 0, 0, 0, 0, 278, 0, 0, 350, 283, 0, 81, 350, 14, 0, 208, 307, 351, 121, 277, 0, 61, 0, 197, 61, 0, 64, 113, 0, 0, 357, 0, 15, 0, 0, 0, 0, 32, 0, 0, 76, 0, 0, 307, 125, 0, 246, 322, 0, 0, 0, 0, 220, 0, 0, 0, 0, 167, 13, 371, 337, 0, 0, 0, 0, 0, 0, 0, 0, 173, 235, 0, 0, 0, 76, 0, 0, 0, 0, 0, 0, 0, 276, 0, 39, 0, 0, 0, 120, 320, 0, 0, 0, 0, 0, 120, 0, 0, 0, 314, 0, 0, 123, 0, 0, 0, 0, 226, 0, 0, 0, 281, 0, 346, 97, 0, 64, 0, 125, 164, 0, 88, 129, 0, 0, 273, 0, 215, 161, 343, 0, 351, 6, 125, 0, 0, 0, 0, 0, 346, 161, 0, 42, 80, 376, 222, 226, 84, 135, 46, 0, 0, 53, 371, 0, 0, 305, 130, 120, 0, 0, 0, 121, 338, 365, 20, 0, 372, 350, 127, 246, 0, 0, 346, 0, 0, 0, 0, 343, 0, 373, 104, 341, 0, 66, 0, 0, 311, 0, 0, 226, 0, 0, 0, 161, 373, 52, 0, 226, 271, 156, 0, 115, 329, 0, 0, 0, 0, 299, 78, 0, 0, 37, 0, 0, 0, 0, 15, 0, 0, 93, 0, 0, 322, 352, 50, 0, 376, 0, 55, 0, 0, 0, 0, 111, 0, 152, 0, 0, 0, 352, 0, 0, 0, 0, 328, 0, 346, 169, 267, 0, 37, 0, 0, 0, 323, 120, 0, 8, 0, 167, 30, 280, 0, 0, 53, 18, 299, 0, 17, 0, 0, 175, 0, 0, 39, 368, 120, 0, 0, 247, 0, 0, 0, 192, 0, 347, 348, 116, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 0, 2, 8, 0, 0, 0, 0, 0, 0, 346, 0, 226, 0, 0, 0, 0, 0, 61, 0, 153, 0, 0, 0, 0, 338, 0, 0, 0, 0, 0, 0, 0, 61, 0, 0, 0, 245, 0, 0, 0, 0, 0, 0, 0, 0, 98, 0, 0, 59, 0, 7, 7, 0, 0, 0, 360, 0, 58, 0, 125, 116, 98, 0, 0, 87, 0, 0, 124, 0, 0, 2, 0, 106, 0, 0, 320, 0, 0, 327, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 226, 0, 0, 375, 133, 0, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 189, 0, 0, 352, 0, 0, 374, 224, 0, 348, 0, 346, 0, 0, 107, 4, 367, 342, 122, 107, 0, 149, 0, 83, 57, 220, 0, 0, 278, 0, 0, 0, 180, 0, 0, 0, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 194, 64, 0, 337, 179, 0, 373, 0, 0, 0, 330, 70, 0, 0, 220, 0, 70, 0, 0, 278, 0, 0, 187, 0, 0, 181, 55, 184, 0, 137, 0, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 37, 278, 0, 0, 0, 0, 371, 187, 0, 353, 0, 0, 0, 384, 0, 365, 338, 0, 0, 0, 294, 0, 186, 0, 0, 0, 0, 0, 37, 148, 131, 193, 0, 308, 0, 342, 0, 0, 0, 375, 372, 0, 296, 0, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 0, 153, 122, 0, 0, 0, 0, 0, 0, 0, 0, 341, 127, 0, 0, 0, 0, 0, 286, 294, 67, 0, 226, 194, 0, 202, 0, 0, 125, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 67, 0, 0, 0, 149, 87, 261, 182, 0, 0, 0, 181, 39, 0, 0, 0, 0, 0, 0, 135, 291, 328, 0, 0, 190, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 228, 36, 0, 180, 0, 0, 229, 0, 239, 0, 376, 59, 0, 287, 0, 0, 0, 137, 0, 0, 311, 0, 166, 0, 0, 0, 0, 0, 367, 0, 93, 0, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 182, 126, 0, 0, 0, 0, 0, 279, 346, 0, 373, 0, 277, 0, 130, 0, 124, 52, 68, 2, 0, 0, 0, 0, 279, 0, 0, 120, 0, 84, 0, 0, 0, 0, 327, 76, 148, 56, 176, 271, 0, 0, 0, 0, 0, 0, 337, 0, 0, 235, 137, 0, 0, 0, 341, 226, 0, 342, 0, 379, 34, 70, 0, 342, 0, 80, 75, 0, 365, 0, 0, 0, 317, 0, 60, 366, 371, 0, 78, 0, 0, 152, 16, 0, 0, 225, 0, 0, 0, 232, 0, 0, 277, 356, 2, 161, 168, 311, 0, 161, 0, 40, 0, 0, 0, 0, 98, 0, 198, 0, 0, 0, 0, 88, 0, 334, 0, 65, 0, 327, 0, 0, 288, 328, 239, 0, 0, 0, 0, 0, 331, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 167, 348, 179, 247, 0, 0, 0, 0, 0, 0, 0, 0, 122, 0, 0, 0, 0, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 62, 0, 0, 170, 2, 294, 0, 0, 12, 0, 69, 0, 0, 0, 320, 61, 0, 12, 235, 35, 0, 0, 63, 0, 375, 0, 125, 0, 16, 0, 15, 0, 0, 0, 0, 0, 0, 0, 0, 225, 122, 60, 299, 29, 0, 0, 0, 0, 338, 0, 0, 0, 0, 203, 0, 0, 46, 0, 0, 0, 9, 0, 0, 0, 266, 158, 51, 0, 0, 0, 0, 220, 0, 0, 0, 370, 135, 0, 0, 0, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 0, 0, 0, 242, 0, 0, 0, 0, 0, 245, 0, 59, 0, 0, 166, 0, 0, 116, 0, 0, 0, 0, 0, 0, 124, 0, 0, 0, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 279, 279, 161, 0, 276, 0, 289, 235, 0, 0, 0, 0, 329, 0, 235, 373, 0, 0, 0, 0, 0, 0, 0, 0, 0, 78, 0, 0, 387, 373, 0, 0, 391, 245, 112, 376, 277, 294, 289, 0, 202, 0, 0, 330, 0, 308, 228, 0, 0, 0, 0, 120, 0, 371, 0, 0, 0, 0, 0, 0, 0, 57, 119, 0, 235, 0, 0, 0, 0, 0, 20, 126, 0, 0, 170, 31, 0, 0, 0, 0, 327, 0, 0, 0, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 383, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 327, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 250, 0, 0, 0, 0, 0, 352, 352, 161, 0, 241, 107, 0, 336, 289, 0, 313, 0, 0, 84, 0, 0, 20, 0, 244, 0, 374, 0, 0, 0, 135, 181, 0, 0, 15, 0, 0, 186, 0, 0, 0, 0, 0, 0, 387, 0, 0, 0, 192, 36, 0, 241, 343, 0, 373, 0, 281, 0, 384, 0, 120, 35, 0, 0, 0, 0, 0, 0, 0, 125, 0, 0, 346, 0, 117, 0, 0, 327, 0, 155, 81, 0, 0, 171, 0, 0, 0, 0, 36, 0, 275, 286, 0, 0, 0, 0, 0, 254, 0, 0, 7, 0, 0, 373, 0, 0, 0, 113, 0, 39, 0, 0, 292, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 323, 0, 0, 0, 120, 0, 16, 0, 57, 121, 120, 0, 87, 0, 0, 0, 0, 0, 0, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 268, 0, 0, 0, 0, 0, 294, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 250, 0, 0, 0, 339, 0, 129, 243, 327, 243, 142, 0, 0, 0, 0, 41, 316, 313, 0, 240, 366, 0, 16, 0, 344, 0, 0, 0, 0, 239, 0, 0, 0, 344, 373, 0, 0, 308, 125, 42, 128, 0, 0, 0, 49, 325, 0, 144, 135, 0, 0, 0, 0, 149, 66, 0, 340, 0, 0, 0, 66, 130, 0, 0, 0, 0, 0, 352, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 281, 0, 0, 367, 0, 0, 0, 0, 127, 127, 368, 0, 0, 133, 0, 311, 290, 0, 0, 0, 0, 0, 0, 125, 0, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 376, 376, 0, 0, 352, 0, 84, 0, 0, 0, 67, 120, 0, 6, 0, 120, 0, 369, 295, 0, 0, 0, 112, 0, 331, 0, 0, 15, 122, 0, 0, 0, 278, 0, 60, 0, 0, 37, 0, 161, 0, 0, 0, 275, 289, 81, 0, 13, 0, 53, 384, 60, 0, 361, 0, 0, 92, 0, 121, 0, 0, 0, 0, 232, 0, 122, 0, 168, 0, 16, 0, 0, 0, 0, 0, 0, 329, 0, 243, 0, 59, 0, 126, 246, 0, 0, 75, 148, 376, 311, 0, 53, 0, 27, 0, 143, 0, 15, 272, 0, 372, 0, 0, 133, 0, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 279, 0, 0, 331, 275, 0, 0, 342, 0, 146, 0, 39, 0, 85, 0, 0, 237, 0, 122, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 93, 0, 0, 242, 0, 0, 0, 11, 120, 0, 293, 0, 0, 0, 0, 142, 237, 0, 0, 0, 96, 320, 0, 0, 0, 361, 240, 317, 175, 55, 331, 195, 122, 0, 0, 0, 330, 0, 0, 122, 0, 0, 0, 376, 0, 0, 0, 0, 0, 0, 0, 0, 116, 0, 0, 0, 0, 379, 227, 0, 0, 0, 0, 111, 0, 0, 0, 0, 149, 0, 169, 0, 0, 0, 0, 0, 87, 78, 0, 0, 92, 0, 0, 0, 49, 0, 0, 0, 161, 15, 0, 0, 0, 37, 0, 0, 0, 154, 0, 0, 161, 0, 0, 0, 0, 0, 225, 0, 0, 0, 0, 66, 0, 188, 0, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 98, 292, 0, 0, 170, 0, 0, 0, 0, 0, 0, 68, 0, 0, 0, 0, 0, 0, 0, 0, 61, 0, 0, 0, 0, 0, 0, 59, 116, 0, 0, 358, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 0, 21, 375, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 186, 60, 0, 0, 0, 0, 0, 0, 158, 329, 384, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 79, 0, 0, 0, 0, 0, 0, 0, 6, 161, 0, 0, 232, 0, 48, 367, 0, 0, 0, 62, 161, 327, 292, 0, 0, 384, 0, 354, 375, 0, 0, 0, 0, 79, 0, 0, 0, 163, 0, 0, 163, 24, 127, 0, 0, 0, 0, 0, 50, 0, 0, 166, 385, 127, 0, 0, 265, 0, 0, 0, 258, 0, 111, 337, 0, 112, 0, 358, 46, 0, 0, 0, 0, 0, 0, 0, 87, 300, 244, 0, 26, 0, 0, 186, 0, 0, 360, 138, 0, 0, 0, 0, 0, 0, 0, 123, 0, 0, 0, 0, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 0, 186, 0, 0, 327, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 323, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 292, 0, 296, 0, 0, 0, 0, 126, 0, 0, 0, 384, 0, 0, 0, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 337, 0, 0, 0, 0, 0, 0, 0, 0, 373, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 235, 0, 0, 0, 0, 0, 0, 0, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 186, 0, 0, 0, 0, 0, 76, 0, 0, 0, 0, 0, 344, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 388, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 57, 0, 0, 0, 124, 129, 352, 110, 375, 329, 88, 354, 120, 320, 148, 120, 254, 322, 355, 0, 44, 226, 271, 85, 195, 0, 385, 174, 79, 373, 323, 77, 0, 0, 209, 281, 329, 84, 332, 81, 162, 387, 277, 327, 373, 374, 33, 8, 78, 40, 275, 346, 127, 54, 9, 257, 125, 144, 251, 0, 105, 117, 89, 338, 123, 175, 132, 124, 311, 20, 331, 131, 336, 0, 294, 303, 120, 306, 120, 337, 159, 0, 337, 235, 78, 45, 274, 99, 278, 322, 187, 280, 14, 39, 0, 167, 246, 385, 367, 320, 171, 381, 384, 135, 330, 122, 187, 154, 306, 181, 120, 0, 117, 289, 71, 68, 16, 0, 92, 381, 115, 60, 171, 16, 118, 353, 126, 81, 257, 371, 80, 0, 87, 31, 161, 346, 122, 19, 228, 178, 158, 348, 296, 181, 360, 332, 164, 273, 364, 123, 237, 239, 115, 124, 388, 400, 0, 85, 0, 247, 0, 0, 0, 0, 0, 0, 0, 348, 0, 242, 328, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 321, 0, 0, 321, 103, 0, 175, 81, 0, 75, 0, 0, 0, 0, 93, 0, 85, 6, 0, 0, 0, 0, 0, 342, 369, 389, 0, 0, 0, 373, 0, 0, 154, 281, 0, 226, 0, 0, 0, 0, 161, 0, 0, 0, 0, 364, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 0, 343, 0, 238, 0, 184, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 159, 0, 0, 60, 336, 238, 0, 329, 0, 0, 248, 0, 0, 296, 0, 0, 0, 0, 0, 0, 0, 125, 300, 0, 327, 0, 0, 0, 0, 0, 158, 91, 0, 0, 31, 352, 0, 346, 0, 324, 0, 0, 0, 37, 0, 0, 0, 0, 346, 0, 346, 0, 159, 0, 0, 0, 0, 0, 330, 327, 0, 0, 239, 0, 0, 0, 0, 0, 0, 60, 50, 78, 0, 0, 0, 376, 122, 0, 0, 227, 0, 0, 0, 0, 107, 0, 103, 5, 0, 346, 0, 0, 0, 0, 0, 0, 0, 76, 346, 0, 0, 0, 344, 156, 0, 139, 182, 370, 279, 0, 0, 0, 0, 63, 74, 282, 0, 0, 196, 0, 158, 0, 384, 91, 33, 106, 355, 6, 0, 0, 289, 0, 0, 0, 119, 0, 164, 0, 0, 300, 217, 169, 399, 123, 221, 0, 0, 0, 0, 0, 0, 192, 0, 74, 0, 64, 345, 53, 290, 0, 0, 37, 0, 55, 0, 91, 0, 0, 206, 55, 0, 0, 159, 0, 0, 0, 164, 168, 373, 208, 0, 0, 0, 0, 100, 0, 162, 0, 0, 0, 230, 0, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 149, 47, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 352, 206, 0, 0, 292, 346, 0, 289, 369, 0, 258, 0, 157, 120, 0, 0, 0, 0, 0, 0, 116, 0, 0, 331, 0, 375, 0, 67, 85, 35, 84, 0, 325, 32, 93, 373, 0, 81, 78, 0, 0, 0, 122, 77, 44, 0, 195, 4, 140, 0, 86, 352, 0, 344, 0, 0, 237, 0, 0, 78, 0, 127, 298, 277, 374, 368, 332, 35, 322, 375, 0, 55, 0, 0, 0, 0, 0, 12, 93, 298, 0, 0, 0, 0, 0, 0, 0, 221, 371, 0, 391, 223, 121, 278, 37, 10, 0, 0, 112, 0, 0, 347, 337, 0, 168, 65, 134, 170, 127, 211, 342, 0, 145, 346, 97, 83, 88, 65, 0, 124, 0, 335, 0, 3, 0, 227, 201, 0, 0, 0, 0, 373, 0, 0, 0, 50, 0, 0, 177, 120, 0, 0, 146, 271, 359, 235, 198, 186, 210, 120, 0, 11, 0, 320, 0, 124, 0, 0, 0, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 222, 0, 0, 81, 0, 317, 205, 0, 0, 0, 175, 0, 162, 0, 0, 0, 0, 0, 226, 0, 0, 0, 0, 0, 0, 0, 307, 0, 127, 0, 152, 345, 342, 0, 0, 0, 81, 81, 0, 78, 238, 320, 0, 0, 0, 385, 64, 0, 0, 0, 0, 0, 392, 0, 0, 0, 0, 334, 0, 281, 0, 197, 0, 0, 0, 72, 264, 0, 344, 122, 0, 0, 352, 0, 0, 0, 0, 81, 329, 202, 187, 318, 305, 315, 9, 0, 171, 0, 0, 0, 0, 0, 88, 0, 11, 0, 0, 0, 0, 87, 0, 19, 0, 0, 0, 0, 0, 0, 17, 0, 0, 300, 192, 327, 0, 0, 0, 0, 0, 373, 0, 0, 162, 0, 225, 0, 396, 0, 0, 0, 0, 0, 0, 0, 0, 273, 0, 0, 0, 0, 0, 0, 348, 273, 0, 0, 0, 0, 316, 162, 15, 350, 0, 0, 346, 0, 0, 0, 267, 0, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 35, 0, 0, 0, 359, 0, 0, 384, 0, 206, 40, 0, 0, 0, 0, 0, 373, 373, 0, 0, 0, 0, 0, 0, 371, 129, 0, 149, 0, 344, 352, 374, 0, 317, 129, 352, 0, 0, 0, 0, 0, 276, 276, 0, 0, 279, 0, 281, 0, 307, 0, 0, 0, 0, 0, 0, 41, 287, 0, 326, 375, 0, 41, 273, 346, 0, 0, 0, 0, 8, 0, 105, 77, 8, 15, 0, 374, 122, 25, 0, 375, 361, 71, 11, 329, 88, 41, 0, 170, 0, 0, 327, 0, 0, 0, 0, 0, 275, 0, 0, 310, 0, 322, 0, 180, 0, 0, 0, 280, 0, 0, 0, 0, 0, 0, 0, 0, 291, 0, 26, 0, 0, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 90, 163, 122, 0, 268, 342, 81, 0, 0, 0, 0, 26, 346, 0, 0, 244, 2, 196, 0, 0, 125, 0, 320, 0, 0, 0, 186, 0, 237, 352, 0, 275, 335, 67, 0, 235, 179, 0, 0, 0, 0, 330, 15, 81, 0, 0, 326, 373, 0, 273, 0, 237, 0, 0, 143, 125, 170, 0, 120, 241, 37, 342, 79, 6, 261, 333, 120, 113, 0, 77, 326, 0, 0, 373, 355, 241, 0, 0, 0, 341, 78, 0, 0, 47, 0, 0, 16, 0, 0, 322, 161, 0, 72, 320, 32, 25, 376, 292, 0, 353, 249, 159, 298, 275, 0, 181, 242, 0, 0, 135, 194, 0, 10, 92, 189, 346, 0, 130, 229, 252, 144, 0, 0, 0, 0, 273, 0, 0, 0, 13, 0, 348, 0, 0, 130, 0, 0, 84, 0, 231, 0, 81, 0, 0, 0, 0, 0, 383, 182, 76, 240, 182, 182, 6, 30, 192, 0, 0, 37, 0, 127, 168, 0, 205, 0, 0, 348, 243, 0, 190, 0, 0, 347, 90, 327, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 122, 46, 0, 0, 179, 29, 124, 0, 81, 0, 376, 0, 123, 117, 347, 29, 0, 257, 259, 38, 0, 311, 0, 0, 0, 340, 0, 0, 246, 0, 0, 127, 334, 0, 26, 0, 0, 0, 0, 0, 254, 122, 306, 116, 0, 161, 0, 0, 0, 0, 0, 121, 251, 15, 0, 239, 117, 46, 56, 0, 257, 118, 334, 175, 348, 237, 126, 295, 347, 177, 110, 375, 344, 0, 0, 0, 0, 0, 0, 0, 107, 15, 0, 0, 60, 313, 158, 0, 0, 0, 0, 0, 0, 0, 161, 234, 0, 0, 161, 0, 0, 0, 0, 271, 0, 0, 0, 130, 184, 0, 0, 0, 0, 333, 0, 0, 310, 60, 0, 96, 0, 336, 0, 0, 0, 0, 0, 0, 0, 155, 81, 72, 192, 0, 0, 0, 0, 137, 153, 162, 279, 325, 0, 137, 119, 351, 348, 348, 0, 44, 179, 0, 0, 320, 127, 0, 0, 0, 122, 0, 93, 0, 0, 130, 0, 133, 0, 0, 107, 0, 0, 0, 0, 81, 0, 32, 0, 290, 0, 0, 0, 23, 6, 0, 313, 11, 103, 0, 0, 0, 289, 0, 0, 0, 234, 56, 0, 0, 0, 0, 0, 93, 159, 78, 0, 0, 0, 0, 0, 342, 387, 0, 0, 0, 281, 0, 0, 0, 120, 0, 50, 303, 0, 6, 0, 0, 0, 0, 235, 180, 231, 322, 55, 0, 381, 0, 0, 0, 0, 0, 0, 196, 0, 0, 0, 309, 175, 0, 0, 0, 0, 0, 0, 348, 348, 348, 331, 263, 0, 0, 0, 0, 0, 0, 0, 0, 338, 0, 0, 0, 0, 0, 0, 352, 0, 0, 0, 72, 175, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 376, 0, 330, 254, 88, 236, 0, 0, 0, 0, 234, 0, 65, 0, 0, 0, 0, 0, 218, 0, 112, 359, 328, 0, 0, 0, 47, 0, 322, 0, 149, 310, 0, 327, 0, 235, 0, 0, 0, 0, 0, 0, 0, 60, 0, 0, 0, 0, 31, 136, 146, 0, 123, 167, 0, 219, 0, 0, 0, 0, 0, 0, 0, 0, 155, 0, 180, 0, 0, 293, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 146, 0, 0, 234, 0, 288, 0, 0, 0, 372, 122, 120, 0, 0, 73, 0, 87, 0, 241, 0, 0, 337, 0, 0, 0, 0, 257, 324, 0, 0, 279, 0, 0, 259, 294, 0, 12, 0, 0, 15, 0, 0, 0, 0, 0, 0, 154, 0, 120, 161, 0, 0, 352, 0, 208, 192, 0, 0, 0, 0, 0, 225, 0, 0, 0, 327, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 164, 0, 0, 337, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 292, 0, 0, 0, 0, 188, 0, 178, 0, 0, 0, 370, 0, 0, 322, 0, 0, 0, 0, 45, 0, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 203, 281, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 238, 66, 162, 166, 143, 2, 15, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 299, 124, 261, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 245, 0, 0, 117, 0, 0, 0, 0, 383, 0, 0, 0, 0, 0, 261, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 241, 0, 355, 0, 0, 0, 0, 324, 120, 86, 0, 0, 158, 0, 0, 0, 0, 0, 11, 106, 0, 322, 0, 0, 0, 0, 0, 0, 0, 346, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 339, 7, 0, 0, 0, 0, 0, 0, 0, 332, 0, 0, 0, 110, 0, 333, 0, 0, 0, 392, 281, 340, 0, 0, 0, 0, 0, 0, 259, 0, 298, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 125, 0, 0, 0, 0, 0, 25, 181, 0, 0, 329, 0, 217, 0, 0, 0, 0, 0, 0, 161, 0, 0, 0, 0, 0, 0, 0, 305, 0, 0, 0, 0, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 360, 0, 0, 0, 107, 0, 0, 0, 0, 0, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 0, 0, 0, 0, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 245, 0, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 367, 0, 0, 0, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 81, 112, 170, 214, 171, 0, 0, 237, 0, 0, 0, 0, 0, 337, 0, 0, 0, 352, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 0, 38, 244, 0, 120, 0, 0, 279, 0, 0, 0, 0, 0, 0, 0, 110, 117, 180, 88, 294, 328, 30, 279, 346, 176, 0, 0, 0, 0, 0, 0, 0, 323, 261, 9, 226, 0, 0, 0, 0, 0, 347, 0, 24, 0, 0, 0, 0, 0, 0, 341, 106, 0, 0, 0, 0, 0, 86, 360, 0, 0, 125, 81, 37, 66, 0, 329, 0, 0, 244, 376, 365, 0, 0, 209, 107, 103, 0, 0, 0, 307, 0, 0, 0, 0, 0, 376, 0, 0, 0, 93, 0, 245, 276, 0, 159, 93, 55, 0, 0, 161, 36, 245, 182, 0, 0, 117, 0, 0, 0, 343, 318, 0, 376, 0, 0, 151, 124, 0, 0, 0, 0, 82, 0, 0, 0, 0, 86, 0, 0, 0, 373, 178, 0, 370, 121, 198, 289, 235, 0, 0, 0, 275, 350, 0, 0, 0, 0, 72, 0, 281, 0, 80, 277, 0, 0, 0, 370, 326, 81, 161, 0, 0, 40, 0, 0, 0, 0, 342, 310, 0, 315, 0, 325, 373, 0, 78, 0, 186, 0, 235, 0, 0, 152, 180, 238, 0, 327, 0, 0, 0, 62, 0, 0, 0, 0, 100, 0, 0, 181, 0, 0, 346, 0, 0, 246, 0, 0, 0, 242, 0, 0, 100, 320, 0, 0, 0, 0, 0, 0, 0, 348, 100, 31, 0, 0, 135, 0, 332, 0, 0, 0, 0, 352, 0, 0, 0, 116, 0, 16, 0, 0, 0, 0, 0, 0, 81, 0, 0, 351, 244, 182, 0, 0, 0, 0, 0, 0, 0, 0, 81, 0, 149, 0, 0, 0, 112, 0, 63, 0, 0, 0, 0, 197, 169, 44, 257, 0, 0, 0, 155, 9, 0, 46, 0, 0, 353, 0, 0, 291, 0, 257, 0, 0, 0, 0, 0, 241, 0, 0, 0, 300, 0, 0, 0, 0, 0, 0, 0, 190, 0, 0, 0, 0, 0, 0, 0, 0, 178, 0, 0, 279, 26, 37, 0, 5, 0, 0, 0, 300, 0, 228, 0, 0, 0, 0, 175, 0, 0, 374, 0, 0, 283, 0, 0, 0, 0, 0, 192, 0, 0, 0, 182, 327, 0, 0, 0, 0, 0, 368, 179, 330, 0, 0, 0, 0, 0, 0, 0, 225, 0, 0, 0, 0, 220, 0, 0, 0, 0, 116, 0, 0, 0, 0, 117, 0, 0, 0, 273, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 332, 0, 0, 0, 0, 31, 0, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 162, 0, 0, 0, 0, 0, 0, 0, 0, 180, 0, 259, 119, 0, 0, 0, 0, 188, 0, 0, 0, 0, 0, 161, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 131, 0, 0, 0, 0, 0, 0, 67, 0, 0, 245, 0, 0, 0, 339, 0, 0, 0, 212, 333, 0, 0, 0, 0, 0, 0, 334, 342, 0, 0, 0, 0, 0, 0, 329, 0, 0, 125, 0, 341, 0, 0, 0, 0, 0, 0, 0, 109, 245, 346, 346, 21, 0, 0, 17, 29, 0, 273, 35, 0, 99, 0, 283, 0, 195, 0, 0, 0, 0, 374, 0, 0, 0, 0, 0, 254, 241, 126, 0, 353, 184, 0, 5, 205, 0, 0, 121, 0, 0, 54, 0, 222, 0, 0, 0, 0, 299, 0, 0, 0, 336, 0, 0, 0, 0, 0, 318, 0, 0, 0, 0, 0, 220, 0, 182, 0, 0, 0, 0, 0, 0, 12, 0, 327, 0, 0, 0, 81, 0, 0, 0, 0, 0, 125, 0, 0, 0, 0, 88, 0, 0, 0, 0, 23, 165, 0, 0, 380, 56, 0, 0, 140, 0, 0, 0, 0, 36, 0, 0, 0, 233, 0, 346, 352, 0, 0, 244, 248, 0, 0, 0, 0, 0, 271, 0, 0, 162, 31, 144, 122, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 71, 17, 0, 274, 223, 0, 0, 0, 175, 100, 0, 0, 306, 0, 130, 0, 0, 0, 94, 0, 0, 0, 0, 0, 0, 0, 227, 0, 0, 0, 0, 0, 107, 0, 10, 10, 0, 0, 0, 0, 0, 12, 370, 171, 0, 0, 0, 0, 0, 53, 0, 0, 0, 259, 0, 0, 0, 0, 315, 37, 0, 0, 0, 0, 237, 0, 0, 0, 154, 0, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 238, 0, 0, 330, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 126, 0, 0, 0, 0, 0, 0, 259, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 220, 0, 0, 0, 327, 0, 344, 0, 299, 0, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 122, 96, 0, 98, 186, 279, 31, 154, 132, 120, 327, 60, 0, 352, 92, 126, 245, 124, 0, 0, 0, 132, 0, 0, 0, 93, 0, 384, 0, 274, 0, 0, 0, 0, 125, 0, 86, 40, 0, 0, 0, 0, 292, 0, 0, 0, 373, 0, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 342, 0, 0, 0, 0, 0, 0, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 384, 0, 0, 0, 0, 0, 0, 0, 0, 0, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 367, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 352, 305, 0, 0, 0, 0, 0, 0, 0, 0, 279, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 127, 0, 0, 0, 0, 0, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 342, 120, 64, 81, 254, 120, 125, 110, 303, 250, 273, 235, 0, 340, 346, 340, 120, 0, 123, 117, 337, 130, 341, 199, 337, 72, 174, 0, 290, 80, 276, 77, 132, 372, 93, 107, 231, 387, 279, 0, 365, 292, 371, 60, 375, 46, 245, 369, 0, 346, 346, 148, 158, 279, 94, 279, 125, 117, 36, 376, 277, 113, 55, 92, 246, 98, 340, 346, 372, 83, 330, 29, 118, 337, 0, 125, 326, 352, 239, 326, 87, 351, 117, 148, 288, 290, 2, 242, 376, 375, 216, 67, 383, 78, 135, 322, 352, 286, 277, 62, 31, 163, 382, 294, 299, 0, 346, 193, 35, 63, 116, 122, 332, 215, 345, 322, 72, 352, 338, 31, 384, 3, 342, 60, 186, 227, 0, 192, 56, 292, 332, 344, 9, 279, 237, 186, 126, 178, 370, 122, 191, 299, 363, 239, 154, 234, 132, 342, 237, 367, 31, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 0, 66, 123, 0, 37, 0, 0, 320, 0, 0, 0, 0, 0, 0, 0, 0, 279, 0, 0, 0, 0, 316, 0, 0, 0, 0, 0, 0, 330, 115, 0, 0, 0, 0, 0, 0, 0, 106, 352, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 373, 10, 30, 0, 0, 0, 0, 0, 0, 0, 62, 0, 0, 336, 0, 0, 0, 107, 192, 0, 182, 0, 0, 0, 0, 0, 0, 0, 226, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 371, 81, 0, 86, 23, 361, 329, 7, 368, 119, 373, 76, 299, 230, 16, 92, 376, 96, 74, 122, 15, 279, 309, 98, 148, 54, 182, 78, 107, 346, 362, 373, 121, 117, 384, 166, 170, 359, 384, 83, 126, 244, 371, 153, 276, 81, 67, 120, 281, 274, 46, 0, 0, 91, 223, 55, 153, 0, 381, 81, 379, 264, 361, 342, 358, 0, 364, 273, 348, 84, 37, 0, 276, 197, 0, 0, 0, 107, 0, 370, 0, 0, 386, 0, 0, 129, 81, 369, 84, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 35, 0, 0, 130, 33, 0, 0, 0, 0, 354, 245, 0, 0, 0, 0, 0, 46, 0, 0, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 302, 0, 0, 0, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 358, 0, 387, 218, 10, 0, 0, 70, 0, 81, 0, 122, 0, 373, 235, 0, 0, 0, 354, 238, 0, 298, 0, 0, 0, 0, 6, 63, 0, 317, 121, 0, 222, 0, 0, 0, 0, 373, 81, 0, 0, 273, 11, 0, 130, 161, 90, 0, 0, 0, 295, 124, 0, 0, 0, 145, 0, 98, 238, 149, 0, 0, 170, 0, 0, 0, 308, 0, 122, 0, 239, 15, 329, 71, 120, 0, 120, 0, 0, 0, 0, 0, 0, 0, 37, 0, 0, 0, 163, 350, 0, 39, 0, 0, 297, 0, 0, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 0, 114, 130, 37, 0, 0, 306, 233, 0, 0, 0, 0, 0, 23, 385, 0, 373, 0, 61, 373, 0, 71, 0, 0, 0, 374, 0, 0, 0, 396, 122, 0, 0, 130, 0, 0, 63, 227, 258, 0, 306, 0, 0, 122, 57, 52, 235, 297, 0, 0, 0, 0, 0, 206, 220, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 0, 0, 18, 0, 0, 59, 28, 0, 76, 40, 0, 70, 0, 387, 0, 132, 0, 0, 0, 0, 0, 234, 0, 0, 49, 0, 360, 0, 0, 0, 376, 0, 40, 0, 0, 0, 0, 0, 0, 0, 166, 165, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 52, 0, 332, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 277, 86, 0, 0, 245, 0, 0, 71, 0, 0, 0, 0, 0, 0, 0, 301, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 322, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 365, 98, 338, 0, 254, 379, 72, 174, 260, 110, 93, 135, 170, 375, 373, 63, 112, 371, 161, 62, 242, 279, 357, 373, 124, 0, 246, 170, 124, 370, 81, 163, 203, 12, 117, 99, 321, 0, 45, 384, 392, 81, 120, 0, 281, 223, 353, 328, 367, 170, 370, 166, 333, 93, 0, 46, 15, 0, 0, 0, 152, 0, 0, 0, 0, 16, 16, 0, 16, 0, 0, 0, 0, 35, 259, 0, 0, 0, 0, 45, 0, 0, 16, 0, 0, 0, 164, 53, 0, 0, 237, 352, 0, 235, 340, 0, 100, 177, 0, 0, 0, 0, 0, 348, 0, 355, 126, 0, 341, 76, 326, 0, 0, 114, 370, 0, 126, 353, 322, 162, 37, 0, 0, 308, 0, 346, 128, 121, 0, 54, 74, 60, 232, 0, 63, 361, 0, 281, 0, 0, 127, 0, 0, 0, 186, 14, 120, 0, 0, 0, 381, 0, 0, 315, 290, 279, 303, 221, 111, 202, 0, 0, 338, 340, 21, 0, 331, 0, 312, 376, 244, 60, 0, 313, 0, 306, 66, 0, 0, 311, 97, 0, 279, 36, 292, 360, 248, 80, 0, 0, 0, 161, 0, 0, 0, 0, 0, 0, 115, 54, 54, 0, 0, 0, 0, 0, 149, 322, 0, 346, 0, 0, 175, 15, 0, 352, 0, 0, 70, 294, 0, 41, 0, 0, 352, 0, 0, 0, 0, 0, 16, 0, 72, 328, 116, 244, 57, 0, 0, 0, 346, 92, 0, 0, 167, 0, 0, 0, 0, 0, 0, 297, 237, 0, 344, 0, 0, 5, 0, 0, 0, 0, 360, 370, 0, 0, 0, 0, 0, 166, 390, 0, 0, 0, 0, 0, 0, 0, 130, 0, 15, 344, 0, 332, 294, 0, 0, 0, 0, 181, 0, 0, 152, 0, 0, 0, 0, 0, 346, 0, 59, 0, 350, 0, 103, 0, 179, 0, 243, 0, 148, 0, 0, 0, 77, 334, 195, 0, 0, 9, 0, 0, 0, 332, 0, 326, 0, 351, 103, 298, 244, 0, 226, 20, 275, 12, 0, 60, 386, 345, 166, 0, 0, 376, 0, 0, 352, 0, 0, 240, 373, 0, 115, 0, 0, 124, 0, 0, 0, 155, 121, 146, 372, 0, 355, 0, 0, 0, 327, 0, 0, 0, 81, 87, 106, 0, 0, 0, 133, 348, 0, 0, 0, 161, 355, 21, 0, 0, 226, 0, 100, 0, 299, 0, 0, 0, 0, 35, 0, 0, 0, 55, 0, 0, 0, 0, 67, 342, 0, 0, 0, 72, 0, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 0, 0, 0, 0, 347, 0, 0, 0, 342, 368, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 273, 0, 232, 0, 0, 0, 0, 0, 0, 0, 386, 0, 0, 0, 0, 0, 0, 0, 0, 0, 159, 0, 0, 80, 0, 0, 351, 64, 244, 383, 223, 375, 346, 84, 0, 129, 0, 0, 0, 0, 337, 0, 0, 79, 0, 0, 355, 298, 0, 0, 66, 391, 103, 93, 292, 0, 0, 0, 190, 156, 0, 39, 0, 311, 373, 329, 123, 36, 0, 313, 124, 184, 144, 293, 158, 0, 0, 0, 342, 272, 204, 0, 0, 0, 0, 0, 223, 0, 44, 0, 389, 0, 48, 150, 306, 0, 0, 112, 337, 334, 0, 0, 0, 0, 0, 0, 0, 186, 246, 0, 0, 0, 0, 0, 0, 102, 300, 0, 0, 0, 0, 0, 0, 156, 0, 0, 21, 124, 327, 0, 0, 0, 0, 161, 130, 0, 0, 0, 0, 340, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 0, 351, 279, 0, 161, 374, 345, 163, 0, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 326, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 358, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 333, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 126, 82, 346, 371, 64, 369, 232, 164, 313, 237, 41, 273, 0, 76, 62, 185, 212, 0, 29, 0, 83, 21, 298, 130, 70, 33, 374, 195, 12, 85, 8, 237, 354, 241, 133, 326, 92, 138, 77, 119, 66, 209, 6, 352, 237, 372, 237, 93, 11, 135, 232, 327, 11, 354, 388, 194, 299, 121, 307, 351, 309, 11, 159, 288, 237, 182, 0, 279, 338, 279, 15, 202, 226, 71, 0, 139, 156, 74, 0, 0, 351, 36, 121, 345, 198, 0, 56, 311, 171, 62, 347, 136, 365, 376, 327, 64, 398, 0, 113, 246, 268, 88, 308, 88, 190, 372, 268, 124, 346, 31, 38, 300, 3, 347, 259, 376, 156, 234, 0, 153, 333, 162, 141, 331, 296, 161, 364, 40, 100, 87, 72, 336, 52, 173, 80, 333, 167, 136, 122, 261, 306, 155, 126, 130, 1, 238, 370, 216, 52, 182, 13, 0, 58, 100, 150, 0, 327, 93, 175, 43, 381, 126, 0, 329, 131, 119, 223, 299, 64, 122, 130, 180, 384, 240, 0, 125, 238, 289, 72, 29, 239, 374, 68, 291, 0, 115, 2, 67, 184, 169, 0, 78, 184, 192, 371, 0, 88, 206, 0, 131, 206, 195, 167, 87, 9, 346, 121, 19, 0, 17, 300, 178, 175, 0, 350, 127, 60, 45, 338, 0, 31, 132, 164, 234, 170, 70, 154, 234, 41, 238, 59, 119, 158, 0, 281, 162, 346, 29, 17, 0, 0, 330, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 185, 284, 273, 342, 0, 15, 323, 42, 262, 322, 329, 110, 122, 189, 138, 185, 365, 198, 98, 323, 297, 189, 171, 0, 75, 88, 107, 150, 129, 354, 155, 0, 352, 342, 32, 327, 323, 118, 342, 342, 31, 154, 245, 0, 151, 149, 107, 307, 0, 247, 103, 0, 81, 391, 0, 69, 0, 237, 326, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 260, 0, 0, 127, 77, 343, 347, 371, 125, 0, 0, 0, 0, 387, 391, 61, 0, 1, 317, 0, 12, 0, 81, 120, 170, 168, 35, 334, 0, 169, 192, 123, 0, 0, 329, 0, 0, 0, 83, 273, 0, 0, 0, 0, 0, 15, 0, 0, 0, 373, 0, 66, 353, 0, 40, 0, 0, 206, 355, 329, 223, 0, 370, 0, 0, 0, 0, 0, 43, 0, 226, 159, 303, 329, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 352, 168, 0, 322, 0, 0, 294, 0, 116, 0, 294, 347, 0, 0, 0, 88, 0, 0, 149, 2, 327, 0, 0, 368, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 294, 0, 0, 0, 0, 0, 0, 0, 0, 327, 0, 0, 117, 0, 0, 161, 0, 0, 50, 0, 0, 295, 131, 197, 0, 247, 342, 0, 0, 335, 341, 120, 93, 0, 373, 0, 0, 46, 350, 130, 40, 0, 0, 175, 0, 0, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 39, 0, 0, 0, 0, 0, 0, 0, 352, 352, 339, 0, 0, 0, 0, 323, 0, 0, 0, 161, 0, 0, 159, 158, 0, 10, 0, 0, 0, 0, 326, 0, 337, 120, 0, 0, 331, 0, 310, 371, 223, 184, 0, 0, 0, 119, 271, 78, 0, 0, 0, 202, 0, 0, 166, 0, 0, 0, 0, 0, 285, 0, 328, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 347, 0, 0, 2, 0, 0, 265, 0, 170, 0, 0, 0, 0, 0, 6, 226, 0, 0, 0, 0, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 242, 163, 0, 0, 127, 0, 0, 127, 0, 61, 0, 0, 78, 0, 139, 186, 187, 0, 0, 342, 0, 0, 0, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 126, 339, 0, 6, 0, 0, 0, 0, 0, 53, 0, 0, 0, 0, 0, 0, 0, 0, 343, 0, 0, 0, 0, 0, 332, 0, 3, 0, 0, 0, 53, 239, 0, 178, 0, 0, 0, 239, 0, 0, 0, 0, 0, 0, 0, 130, 0, 0, 258, 0, 0, 0, 0, 0, 0, 0, 130, 0, 16, 0, 122, 0, 0, 92, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 322, 254, 0, 103, 322, 323, 303, 129, 0, 0, 0, 0, 0, 347, 0, 355, 275, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 345, 64, 242, 3, 330, 287, 337, 337, 320, 93, 70, 140, 8, 290, 85, 352, 170, 159, 232, 127, 125, 121, 0, 88, 348, 0, 102, 346, 230, 0, 315, 103, 0, 348, 135, 306, 0, 72, 379, 342, 72, 206, 178, 61, 266, 106, 0, 31, 259, 230, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 17, 263, 130, 0, 291, 0, 0, 228, 17, 17, 0, 0, 0, 78, 279, 0, 0, 0, 0, 0, 0, 0, 295, 330, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 342, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 309, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 350, 303, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 279, 0, 120, 0, 300, 316, 327, 254, 352, 37, 76, 347, 122, 279, 10, 289, 0, 346, 74, 251, 330, 0, 0, 124, 0, 20, 11, 0, 72, 345, 200, 0, 0, 118, 329, 96, 29, 149, 0, 291, 31, 0, 192, 0, 167, 336, 126, 178, 265, 338, 393, 280, 149, 100, 330, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 81, 0, 0, 333, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 352, 317, 340, 37, 245, 0, 11, 171, 387, 279, 289, 81, 130, 376, 376, 317, 211, 121, 346, 54, 331, 176, 0, 124, 113, 175, 102, 227, 0, 161, 36, 342, 0, 0, 133, 235, 235, 135, 381, 0, 0, 24, 227, 373, 0, 267, 326, 5, 167, 237, 273, 17, 175, 47, 31, 375, 120, 0, 330, 93, 0, 0, 0, 0, 0, 0, 0, 93, 125, 0, 0, 0, 0, 60, 144, 102, 0, 111, 0, 88, 0, 0, 0, 15, 135, 88, 0, 0, 169, 0, 0, 0, 0, 0, 147, 19, 0, 0, 0, 0, 67, 0, 294, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 401, 0, 150, 0, 0, 0, 0, 182, 0, 0, 0, 0, 125, 0, 384, 0, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 336, 0, 120, 0, 0, 0, 0, 0, 0, 0, 385, 0, 0, 0, 0, 246, 0, 0, 0, 0, 0, 0, 129, 0, 0, 0, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 115, 0, 0, 0, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 88, 0, 0, 0, 0, 0, 0, 0, 0, 375, 98, 0, 0, 0, 0, 149, 118, 6, 232, 184, 0, 342, 331, 163, 0, 0, 0, 321, 0, 322, 0, 37, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 352, 0, 0, 351, 0, 170, 77, 0, 0, 6, 231, 203, 170, 0, 0, 39, 0, 10, 111, 0, 298, 98, 125, 0, 322, 74, 0, 0, 0, 0, 120, 124, 329, 0, 330, 340, 91, 161, 162, 122, 161, 279, 308, 99, 271, 115, 0, 120, 0, 242, 159, 0, 386, 78, 150, 32, 93, 202, 203, 375, 127, 0, 279, 384, 79, 63, 0, 0, 0, 0, 0, 264, 72, 244, 81, 116, 0, 0, 16, 267, 5, 235, 63, 96, 344, 0, 0, 157, 17, 339, 18, 178, 18, 350, 0, 0, 98, 273, 166, 390, 0, 0, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 205, 244, 120, 353, 190, 0, 217, 341, 0, 10, 371, 93, 65, 170, 341, 0, 343, 0, 37, 92, 353, 0, 317, 289, 373, 74, 94, 336, 0, 0, 88, 172, 110, 0, 11, 161, 131, 93, 72, 352, 329, 306, 326, 247, 181, 3, 0, 12, 225, 0, 44, 0, 0, 0, 112, 0, 72, 93, 0, 46, 184, 326, 0, 344, 0, 0, 0, 0, 122, 107, 0, 348, 370, 167, 164, 124, 129, 281, 170, 0, 0, 348, 112, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 170, 0, 0, 120, 0, 0, 0, 0, 133, 376, 0, 0, 186, 0, 0, 0, 0, 0, 0, 235, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 276, 0, 166, 0, 0, 0, 0, 0, 0, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 245, 0, 0, 0, 81, 0, 0, 176, 0, 176, 117, 0, 0, 0, 0, 0, 116, 0, 0, 0, 0, 110, 0, 0, 0, 281, 161, 203, 0, 108, 0, 0, 237, 0, 0, 0, 192, 0, 0, 54, 40, 351, 0, 346, 328, 0, 245, 0, 0, 242, 0, 161, 0, 67, 24, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 373, 0, 81, 81, 0, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 353, 0, 317, 64, 0, 196, 0, 0, 93, 0, 0, 0, 303, 0, 226, 0, 0, 0, 0, 0, 0, 281, 0, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 351, 0, 0, 326, 0, 0, 0, 0, 0, 0, 0, 327, 0, 342, 0, 15, 0, 244, 103, 0, 0, 0, 0, 0, 365, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 235, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 37, 35, 0, 0, 130, 159, 10, 308, 30, 347, 352, 45, 245, 325, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 86, 137, 0, 0, 0, 98, 354 };
#endif